<?php

// Single Page redirect Tempalte hook
add_filter( 'single_template', 'get_testimonial_post_type_single_template' );

if ( ! function_exists( 'get_testimonial_post_type_single_template' ) ) : 
function get_testimonial_post_type_single_template($single_template) {
     global $post;

     if ($post->post_type == 'testimonials') {
          $single_template = get_stylesheet_directory() . '/single-testimonials.php';
     }
     return $single_template;
}
endif; // get_testimonial_post_type_single_template

function bruno_et_builder_include_testi_categories(){
		$terms = get_terms( array(
			'taxonomy' => 'b3m_testimonial_category',
			'hide_empty' => false,
		) );
		
		$terms_content = array();
		$terms_content['all'] = 'All';
		$count = count($terms);
		if ( $count > 0 ){
			foreach($terms as $testival){
				$terms_content[$testival->term_id] = $testival->name;
			}
		}
		return $terms_content;
}


function bruno_divi_child_theme_setup() {
 if ( class_exists('ET_Builder_Module')) {
class Bruno_ET_Builder_Module_Testimonial_Slider extends ET_Builder_Module {
	function init() {
		$this->name 					= esc_html__( 'Testimonial Slider', 'et_builder' );
		$this->slug 					= 'et_pb_testimonial_slider';
		$this->vb_support       		= 'partial';
		// need to use global settings from the slider module
		$this->global_settings_slug 	= 'et_pb_slider';
		$this->main_css_element 		= '%%order_class%%.et_pb_testimonial_slider';
	}
	function get_advanced_fields_config() {
		return array(
			'fonts' => array(
				'body'   => array(
					'label'    => esc_html__( 'Body', 'et_builder' ),
					'css'      => array(
						'line_height' => "%%order_class%%",
						'main' => "%%order_class%% .et_pb_slide_content",
						'important' => 'all',
					),
				),
				'client_name_fonts'   => array(
					'label'    => esc_html__( 'Client Name', 'et_builder' ),
					'css'      => array(
						'main' => "%%order_class%% .et_pb_slide_title_name_testi",
					),
					'font_size' => array(
						'default'      => '20px',
					),
					'hide_font'           => true,
					'hide_line_height'    => true
				),
				'company_name_fonts'   => array(
					'label'    => esc_html__( 'Company Name', 'et_builder' ),
					'css'      => array(
						'main' => "%%order_class%% .et_pb_slide_title_name_testi .company_name,%%order_class%% .et_pb_slide_title_name_testi .company_name a",
					),
					'font_size' => array(
						'default'      => '15px',
					),
					'hide_font'           => true,
					'hide_line_height'    => true
				),
			),
			'border' => array(
				'css' => array(
					'main' => "%%order_class%%",
				)
			),
			'custom_margin_padding' => array(
				'css' => array(
					'main' => "%%order_class%%",
					'important' => 'all',
				),
				'additional_elements' => array(
					"%%order_class%% .et-pb-controllers" => array( 'bottom' ),
				),
			),
		);
	}
	function get_custom_css_fields_config() {
		return array(
			'testimonial_name' => array(
				'label'    => esc_html__( 'Testimonial Name', 'et_builder' ),
				'selector' => '%%order_class%% .et_pb_slide_title_name.et_pb_slide_title_name_testi',
			),
			'testimonial_company' => array(
				'label'    => esc_html__( 'Testimonial Company', 'et_builder' ),
				'selector' => '%%order_class%% .et_pb_slide .company_name a',
			),
			'testimonial_quote_icon' => array(
				'label'    => esc_html__( 'Testimonial Quote Icon', 'et_builder' ),
				'selector' => '%%order_class%% .et_pb_slides_testi:before',
			),
			'testimonial_arrows_nav' => array(
				'label'    => esc_html__( 'Testimonial Arrows Nav', 'et_builder' ),
				'selector' => '%%order_class%% .et-pb-slider-arrows a',
			),
			'testimonial_dots_nav' => array(
				'label'    => esc_html__( 'Testimonial Dots Nav/Client Image', 'et_builder' ),
				'selector' => '%%order_class%% .et-pb-controllers a',
			),
			'testimonial_description' => array(
				'label'    => esc_html__( 'Testimonial Description ', 'et_builder' ),
				'selector' => '%%order_class%% .et_pb_slide_content.et_pb_slide_content_testi',
			),
		);
	}
	function get_fields() {
		$fields = array(
			'posts_number' => array(
				'label'             => esc_html__( 'Number of Testimonial', 'et_builder' ),
				'type'              => 'text',
				'option_category'   => 'configuration',
				'default' 			=> '5',
				'description'       => esc_html__( 'Choose how many Testimonials you would like to display in the slider.', 'et_builder' ),
			),
			'include_testi_categories' => array(
				'label'             => esc_html__( 'Select Categories', 'et_builder' ),
				'type'              => 'select',
				'option_category'   => 'configuration',
				'options'           => bruno_et_builder_include_testi_categories(),
				'description'       => esc_html__( 'Choose which categories you would like to include in the slider.', 'et_builder' ),
			),
			'orderby' => array(
				'label'             => esc_html__( 'Order By', 'et_builder' ),
				'type'              => 'select',
				'option_category'   => 'configuration',
				'options'           => array(
					'date_desc'  => esc_html__( 'Date: new to old', 'et_builder' ),
					'date_asc'   => esc_html__( 'Date: old to new', 'et_builder' ),
					'title_asc'  => esc_html__( 'Title: a-z', 'et_builder' ),
					'title_desc' => esc_html__( 'Title: z-a', 'et_builder' ),
					'rand'       => esc_html__( 'Random', 'et_builder' ),
				),
				'default' 			=> 'date_desc',
				'description'       => esc_html__( 'Here you can adjust the order in which posts are displayed.', 'et_builder' ),
			),
			'show_arrows'         => array(
				'label'           => esc_html__( 'Show Arrows', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'options'         => array(
					'off' => esc_html__( 'No', 'et_builder' ),
					'on'  => esc_html__( 'yes', 'et_builder' ),
				),
				'default' 			=> 'off',
				'description'     => esc_html__( 'This setting will turn on and off the navigation arrows.', 'et_builder' ),
			),
			'b3_equal_height'         => array(
				'label'           => esc_html__( 'Equal Height', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'options'         => array(
					'on'  => esc_html__( 'yes', 'et_builder' ),
					'off' => esc_html__( 'No', 'et_builder' ),
					
				),
				'default' 		  => 'on',
				'description'     => esc_html__( 'This setting will turn on and off the Equal Height of Content.', 'et_builder' ),
			),
			'display_client_image'      => array(
				'label'           => esc_html__( 'Display Client Images', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'options'         => array(
					'on'  => esc_html__( 'yes', 'et_builder' ),
					'off' => esc_html__( 'No', 'et_builder' ),
					
				),
				'default' 		  => 'on',
			),
			'display_square_image'      => array(
				'label'           => esc_html__( 'Display Square Image', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'options'         => array(
					'off' => esc_html__( 'No', 'et_builder' ),
					'on'  => esc_html__( 'yes', 'et_builder' ),
				),
				'default' 		   => 'off',
				'show_if'          => array('display_client_image' => 'on'),
			),
			'display_square_image_width' => array(
				'label'             => esc_html__( 'Square Image Width (in px)', 'et_builder' ),
				'type'              => 'text',
				'show_if'           => array('display_client_image' => 'on','display_square_image' => 'on'),
				'default' 		    => '80',
				'option_category'   => 'configuration',
				'description'  => esc_html__( 'Deafult is 80px', 'et_builder' ),
			),
			'display_square_image_height' => array(
				'label'             => esc_html__( 'Square Image Height (in px)', 'et_builder' ),
				'type'              => 'text',
				'show_if'           => array('display_client_image' => 'on','display_square_image' => 'on'),
				'option_category'   => 'configuration',
				'default' 		    => '80',
				'description'  => esc_html__( 'Deafult is 80px', 'et_builder' ),
			),
			'display_quote'      => array(
				'label'           => esc_html__( 'Display Quote Icon', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'options'         => array(
					'on'  => esc_html__( 'yes', 'et_builder' ),
					'off' => esc_html__( 'No', 'et_builder' ),
				),
				'default' 		    => 'on',
			),
			'display_quote_icon_color' => array(
				'label'        => esc_html__( 'Quote Icon Color', 'et_builder' ),
				'type'         => 'color-alpha',
				'custom_color' => true,
				'show_if'      => array('display_quote' => 'on'),
				'description'  => esc_html__( 'Use the color picker to choose a Quote Icon color for this module.', 'et_builder' ),
			),
			'display_dot_navigation'      => array(
				'label'           => esc_html__( 'Display Dot Navigation', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'show_if'          => array('display_client_image' => 'off'),
				'options'         => array(
					'on'  => esc_html__( 'yes', 'et_builder' ),
					'off' => esc_html__( 'No', 'et_builder' ),
				),
				'default' 		    => 'on',
			),
			'ts_dot_nav_custom_color' => array(
				'label'        => esc_html__( 'Dot Nav Custom Color', 'et_builder' ),
				'type'         => 'color',
				'custom_color' => true,
				'show_if'       => array('display_client_image' => 'off'),
				'default' 		    => '#e3464b',
				'tab_slug'     => 'advanced',
			),
			'content_color' => array(
				'label'        => esc_html__( 'Content Color', 'et_builder' ),
				'type'         => 'color-alpha',
				'custom_color' => true,
				'default' 		    => '#9aa1a8',
				'description'  => esc_html__( 'Use the color picker to choose a content color for this module.', 'et_builder' ),
			),
			'background_color' => array(
				'label'        => esc_html__( 'Background Color', 'et_builder' ),
				'type'         => 'color-alpha',
				'custom_color' => true,
				'default' 		    => '#ffffff',
				'description'  => esc_html__( 'Use the color picker to choose a background color for this module.', 'et_builder' ),
			),
			'background_image' => array(
				'label'              => esc_html__( 'Background Image', 'et_builder' ),
				'type'               => 'upload',
				'option_category'    => 'basic_option',
				'upload_button_text' => esc_attr__( 'Upload an image', 'et_builder' ),
				'choose_text'        => esc_attr__( 'Choose a Background', 'et_builder' ),
				'update_text'        => esc_attr__( 'Set As Background', 'et_builder' ),
				'description'        => esc_html__( 'Upload your desired image, or type in the URL to the image you would like to use as the background for the slider.', 'et_builder' ),
			),
			'background_layout' => array(
				'label'           => esc_html__( 'Text Color', 'et_builder' ),
				'type'            => 'select',
				'option_category' => 'color_option',
				'options'         => array(
					'dark'  => esc_html__( 'Light', 'et_builder' ),
					'light' => esc_html__( 'Dark', 'et_builder' ),
				),
				'default' 		    => 'dark',
				'description'     => esc_html__( 'Here you can choose whether your text is light or dark. If you have a slide with a dark background, then choose light text. If you have a light background, then use dark text.' , 'et_builder' ),
			),
			'use_bg_overlay'      => array(
				'label'           => esc_html__( 'Use Background Overlay', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'options'         => array(
					'off' => esc_html__( 'No', 'et_builder' ),
					'on'  => esc_html__( 'yes', 'et_builder' ),
				),
				'default' 		    => 'off',
				'description'     => esc_html__( 'When enabled, a custom overlay color will be added above your background image and behind your slider content.', 'et_builder' ),
			),
			'bg_overlay_color' => array(
				'label'             => esc_html__( 'Background Overlay Color', 'et_builder' ),
				'type'              => 'color-alpha',
				'custom_color'      => true,
				'show_if'           => array('use_bg_overlay' => 'on'),
				'description'       => esc_html__( 'Use the color picker to choose a color for the background overlay.', 'et_builder' ),
			),
			'use_text_overlay'      => array(
				'label'           => esc_html__( 'Use Text Overlay', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'options'         => array(
					'off' => esc_html__( 'No', 'et_builder' ),
					'on'  => esc_html__( 'yes', 'et_builder' ),
				),
				'default' 		    => 'off',
				'description'     => esc_html__( 'When enabled, a background color is added behind the slider text to make it more readable atop background images.', 'et_builder' ),
			),
			'text_overlay_color' => array(
				'label'             => esc_html__( 'Text Overlay Color', 'et_builder' ),
				'type'              => 'color-alpha',
				'custom_color'      => true,
				'show_if'           => array('use_text_overlay' => 'on'),
				'description'       => esc_html__( 'Use the color picker to choose a color for the text overlay.', 'et_builder' ),
			),
			'background_position' => array(
				'label'           => esc_html__( 'Background Image Position', 'et_builder' ),
				'type'            => 'select',
				'option_category' => 'layout',
				'options' => array(
					'default'       => esc_html__( 'Default', 'et_builder' ),
					'top_left'      => esc_html__( 'Top Left', 'et_builder' ),
					'top_center'    => esc_html__( 'Top Center', 'et_builder' ),
					'top_right'     => esc_html__( 'Top Right', 'et_builder' ),
					'center_right'  => esc_html__( 'Center Right', 'et_builder' ),
					'center_left'   => esc_html__( 'Center Left', 'et_builder' ),
					'bottom_left'   => esc_html__( 'Bottom Left', 'et_builder' ),
					'bottom_center' => esc_html__( 'Bottom Center', 'et_builder' ),
					'bottom_right'  => esc_html__( 'Bottom Right', 'et_builder' ),
				),
				'default' 		    => 'default',
			),
			'background_size' => array(
				'label'           => esc_html__( 'Background Image Size', 'et_builder' ),
				'type'            => 'select',
				'option_category' => 'layout',
				'options'         => array(
					'default' => esc_html__( 'Default', 'et_builder' ),
					'contain' => esc_html__( 'Fit', 'et_builder' ),
					'initial' => esc_html__( 'Actual Size', 'et_builder' ),
				),
				'default' 		    => 'default',
			),
			'auto' => array(
				'label'           => esc_html__( 'Automatic Animation', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'options'         => array(
					'off' => esc_html__( 'Off', 'et_builder' ),
					'on'  => esc_html__( 'On', 'et_builder' ),
				),
				'default' 		    => 'off',
				'description'        => esc_html__( 'If you would like the slider to slide automatically, without the visitor having to click the next button, enable this option and then adjust the rotation speed below if desired.', 'et_builder' ),
			),
			'auto_speed' => array(
				'label'             => esc_html__( 'Automatic Animation Speed (in ms)[Slide Duration]', 'et_builder' ),
				'type'              => 'text',
				'option_category'   => 'configuration',
				'show_if'           => array('auto' => 'on'),
				'default' 		    => '7000',
				'description'       => esc_html__( "Here you can designate how fast the slider fades between each slide, if 'Automatic Animation' option is enabled above. The higher the number the longer the pause between each rotation.", 'et_builder' ),
			),
			'auto_ignore_hover' => array(
				'label'           => esc_html__( 'Continue Automatic Slide on Hover', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'configuration',
				'show_if'         => array('auto' => 'on'),
				'options'         => array(
					'off' => esc_html__( 'Off', 'et_builder' ),
					'on'  => esc_html__( 'On', 'et_builder' ),
				),
				'default' 		    => 'off',
				'description' => esc_html__( 'Turning this on will allow automatic sliding to continue on mouse hover.', 'et_builder' ),
			),
			'hide_content_on_mobile' => array(
				'label'           => esc_html__( 'Hide Content On Mobile', 'et_builder' ),
				'type'            => 'yes_no_button',
				'option_category' => 'layout',
				'options'         => array(
					'off' => esc_html__( 'No', 'et_builder' ),
					'on'  => esc_html__( 'Yes', 'et_builder' ),
				),
				'default' 		    => 'off',
				'tab_slug'          => 'advanced',
			),
			'text_border_radius' => array(
				'label'           => esc_html__( 'Text Overlay Border Radius', 'et_builder' ),
				'type'            => 'range',
				'option_category' => 'layout',
				'default'         => '3',
				'range_settings'  => array(
					'min'  => '0',
					'max'  => '100',
					'step' => '1',
				),
				'tab_slug'        => 'advanced',
			),
			'arrows_custom_color' => array(
				'label'        => esc_html__( 'Arrows Custom Color', 'et_builder' ),
				'type'         => 'color',
				'custom_color' => true,
				'default' 		    => '#e3464b',
				'tab_slug'     => 'advanced',
			),
			'display_one_image_responsive' => array(
				'label'             => esc_html__( 'Display One Image', 'et_builder' ),
				'type'              => 'text',
				'default'         => '768',
				'show_if'         => array('display_client_image' => 'on'),
				'option_category'   => 'configuration',
				'description'       => esc_html__( 'Put width when they want to switch to 1 image(Don\'t write "px" in text field).User put 960 for example and this is when it switches to one image only', 'et_builder' ),
			),
		);
		return $fields;
	}

	function render( $attrs, $content = null, $render_slug ) {

		$module_id               = $this->props['module_id'];
		$module_class            = $this->props['module_class'];
		$show_arrows             = $this->props['show_arrows'];
		$auto                    = $this->props['auto'];
		$auto_speed              = $this->props['auto_speed'];
		$auto_ignore_hover       = $this->props['auto_ignore_hover'];
		$body_font_size          = $this->props['body_font_size'];
		$hide_content_on_mobile  = $this->props['hide_content_on_mobile'];
		$background_position     = $this->props['background_position'];
		$background_size         = $this->props['background_size'];
		$posts_number            = $this->props['posts_number'];
		$background_color        = $this->props['background_color'];
		$content_color        	 = $this->props['content_color'];
		$background_image        = $this->props['background_image'];
		$background_layout       = $this->props['background_layout'];
		$use_bg_overlay          = $this->props['use_bg_overlay'];
		$bg_overlay_color        = $this->props['bg_overlay_color'];
		$use_text_overlay        = $this->props['use_text_overlay'];
		$text_overlay_color      = $this->props['text_overlay_color'];
		$orderby                 = $this->props['orderby'];
		$text_border_radius      = $this->props['text_border_radius'];
		$arrows_custom_color     = $this->props['arrows_custom_color'];
		$display_client_image     	= $this->props['display_client_image'];
		$display_dot_navigation     = $this->props['display_dot_navigation'];
		$include_testi_categories  	= $this->props['include_testi_categories'];
		$ts_dot_nav_custom_color 	= $this->props['ts_dot_nav_custom_color'];
		$b3_equal_height 			= $this->props['b3_equal_height'];
		$display_one_image_responsive = $this->props['display_one_image_responsive'];
		$display_quote 				= $this->props['display_quote'];
		
		$display_quote_icon_color 		= $this->props['display_quote_icon_color'];
		
		$display_square_image_height 	= $this->props['display_square_image_height'];
		$display_square_image_width 	= $this->props['display_square_image_width'];
		$display_square_image 			= $this->props['display_square_image'];
		
		$custom_padding  				= $this->props['custom_padding'];
		$module_class = ET_Builder_Element::add_module_order_class( $module_class, $render_slug );
		$custom_padding_new = explode('|',$custom_padding);
		$hide_on_mobile_class = self::HIDE_ON_MOBILE;
		
	
		ET_Builder_Module::set_style( $render_slug, array(
				'selector'    => '%%order_class%% .et_pb_slide_description, .et_pb_slider_fullwidth_off%%order_class%% .et_pb_slide_description',
				'declaration' => 'text-shadow: inherit;',
		) );
			
		if ( 'default' !== $background_position  ) {
			$processed_position = str_replace( '_', ' ', $background_position );

			ET_Builder_Module::set_style( $render_slug, array(
				'selector'    => '%%order_class%% .et_pb_slide',
				'declaration' => sprintf(
					'background-position: %1$s;',
					esc_html( $processed_position )
				),
			) );
		}

		if ( 'default' !== $background_size  ) {
			ET_Builder_Module::set_style( $render_slug, array(
				'selector'    => '%%order_class%% .et_pb_slide',
				'declaration' => sprintf(
					'-moz-background-size: %1$s;
					-webkit-background-size: %1$s;
					background-size: %1$s;',
					esc_html( $background_size )
				),
			) );

			if ( 'initial' === $background_size ) {
				ET_Builder_Module::set_style( $render_slug, array(
					'selector'    => 'body.ie %%order_class%% .et_pb_slide',
					'declaration' => sprintf(
						'-moz-background-size: %1$s;
						-webkit-background-size: %1$s;
						background-size: %1$s;',
						'auto'
					),
				) );
			}
		}

		if ( '' !== $background_color ) {
			ET_Builder_Element::set_style( $render_slug, array(
				'selector'    => '%%order_class%%.et_pb_post_slider',
				'declaration' => sprintf(
					'background-color: %1$s;',
					esc_html( $background_color )
				),
			) );
		}

		if ( '' !== $background_image ) {
			ET_Builder_Element::set_style( $render_slug, array(
				'selector'    => '%%order_class%%, %%order_class%%.et_pb_bg_layout_dark, %%order_class%%.et_pb_bg_layout_light',
				'declaration' => sprintf(
					'background-image: url(%1$s);',
					esc_html( $background_image )
				),
			) );
		}

		if ( 'on' === $use_bg_overlay && '' !== $bg_overlay_color ) {
			ET_Builder_Element::set_style( $render_slug, array(
				'selector'    => '%%order_class%% .et_pb_slide .et_pb_slide_overlay_container',
				'declaration' => sprintf(
					'background-color: %1$s;',
					esc_html( $bg_overlay_color )
				),
			) );
		}

		if ( 'on' === $use_text_overlay && '' !== $text_overlay_color ) {
			ET_Builder_Element::set_style( $render_slug, array(
				'selector'    => '%%order_class%% .et_pb_slide .et_pb_slide_title, %%order_class%% .et_pb_slide .et_pb_slide_content',
				'declaration' => sprintf(
					'background-color: %1$s;',
					esc_html( $text_overlay_color )
				),
			) );
		}

		ET_Builder_Element::set_style( $render_slug, array(
				'selector'    => '%%order_class%% .et_pb_slide .et_pb_slide_title, %%order_class%% .et_pb_slide .et_pb_slide_content,.et-pb-controllers a',
				'declaration' => sprintf(
					'color: %1$s;',
					esc_html( $content_color )
				),
			) );
			
		
		
	ET_Builder_Element::set_style( $render_slug, array(
				'selector'    => '.et_pb_slides .et_pb_slide',
				'declaration' => sprintf(
					'box-shadow: 0 0 10px rgba(0, 0, 0, 0) inset'
				),
			) );
		

			
		if ( '' !== $text_border_radius ) {
			$border_radius_value = et_builder_process_range_value( $text_border_radius );
			ET_Builder_Element::set_style( $render_slug, array(
				'selector'    => '%%order_class%%.et_pb_slider_with_text_overlay h2.et_pb_slide_title',
				'declaration' => sprintf(
					'-webkit-border-top-left-radius: %1$s;
					-webkit-border-top-right-radius: %1$s;
					-moz-border-radius-topleft: %1$s;
					-moz-border-radius-topright: %1$s;
					border-top-left-radius: %1$s;
					border-top-right-radius: %1$s;',
					esc_html( $border_radius_value )
				),
			) );
			ET_Builder_Element::set_style( $render_slug, array(
				'selector'    => '%%order_class%%.et_pb_slider_with_text_overlay .et_pb_slide_content',
				'declaration' => sprintf(
					'-webkit-border-bottom-right-radius: %1$s;
					-webkit-border-bottom-left-radius: %1$s;
					-moz-border-radius-bottomright: %1$s;
					-moz-border-radius-bottomleft: %1$s;
					border-bottom-right-radius: %1$s;
					border-bottom-left-radius: %1$s;',
					esc_html( $border_radius_value )
				),
			) );
		}

		$fullwidth = 'et_pb_fullwidth_slider' === $render_slug ? 'on' : 'off';
		
		$b3testimonialEqualclass = 'on' === $b3_equal_height ? ' b3testimonialEqual' : '';
		
		$class  = '';
		$class .= 'off' === $fullwidth ? ' et_pb_slider_fullwidth_off' : '';
		$class .= 'off' === $show_arrows ? ' et_pb_slider_no_arrows' : '';
		$class .= 'on' === $auto ? ' et_slider_auto et_slider_speed_' . esc_attr( $auto_speed ) : '';
		$class .= 'on' === $auto_ignore_hover ? ' et_slider_auto_ignore_hover' : '';
		$class .= 'on' === $use_bg_overlay ? ' et_pb_slider_with_overlay' : '';
		$class .= 'on' === $use_text_overlay ? ' et_pb_slider_with_text_overlay' : '';
		$data_dot_nav_custom_color = '';
		//$ts_dot_nav_custom_color = '';
		if( $display_client_image != 'on' ){
			if ( $display_dot_navigation == 'on'){
			
				$data_dot_nav_custom_color = '' !== $ts_dot_nav_custom_color
					? sprintf( ' data-dots_color="%1$s"', esc_attr( $ts_dot_nav_custom_color ) )
					: '';
			}
		}
	
		$data_arrows_custom_color = '' !== $arrows_custom_color
			? sprintf( ' data-arrows_color="%1$s"', esc_attr( $arrows_custom_color ) )
			: '';

		$args = array( 'posts_per_page' => (int) $posts_number );

		

		if ( 'date_desc' !== $orderby ) {
			switch( $orderby ) {
				case 'date_asc' :
					$args['orderby'] = 'date';
					$args['order'] = 'ASC';
					break;
				case 'title_asc' :
					$args['orderby'] = 'title';
					$args['order'] = 'ASC';
					break;
				case 'title_desc' :
					$args['orderby'] = 'title';
					$args['order'] = 'DESC';
					break;
				case 'rand' :
					$args['orderby'] = 'rand';
					break;
			}
		}
		$args['post_type'] = 'testimonials';
		ob_start();
		
		if ( $include_testi_categories != 'all' ){
		$args['tax_query'] = array(
				array(
					'taxonomy' => 'b3m_testimonial_category',
					'field' => 'term_id',
					'terms' => $include_testi_categories,
					'operator' => 'IN'
				)
			);
		}

		$the_query = new WP_Query( $args );
		$count = $the_query->post_count;
		$rand =  "testi_".rand(10,500);
		$i=1;
		$cls_one_image = "";
		$cls_single_image = "";
		if ( $display_client_image == 'on' && $count == 1){
			$cls_one_image= "et_pb_slide_description_image";
			$cls_single_image= "et_pb_single_client_image";
		}
		$style_test_image = '';
		$style_testi_image = '';
		if ( $the_query->have_posts() ) {
		
			while ( $the_query->have_posts() ) {
				$the_query->the_post();

				$slide_class =  'et_pb_slide_with_image';
				$slide_class .= " et_pb_bg_layout_{$background_layout}";
				$thumb = wp_get_attachment_image_src(get_post_thumbnail_id(), 'thumbnail');
   			
				
			?>
			<div class="et_pb_slide_testi et_pb_slide et_pb_media_alignment_center<?php echo esc_attr( $slide_class ); ?>" <?php echo $data_dot_nav_custom_color;  echo $data_arrows_custom_color; ?>>
			
				<?php if ( 'on' === $use_bg_overlay ) { ?>
					<div class="et_pb_slide_overlay_container"></div>
				<?php } ?>
				<div class="et_pb_container et_pb_container_testi clearfix <?php echo $b3testimonialEqualclass;?>">
				
					<div class="et_pb_slide_description et_pb_slide_description_testi <?php echo $cls_one_image;?> ">
						
						<div class="et_pb_slide_content et_pb_slide_content_testi  <?php if ( 'on' === $hide_content_on_mobile ) { echo esc_attr( $hide_on_mobile_class ); } ?>">
							
							<?php
								$post_content = get_the_content();
								echo $post_content;
							?>
						</div>
						<?php
						$link = get_post_meta( get_the_ID(),'testimonial_company_url', true );
						if( $link != ''){
							$cp_name = '<a href="'.$link.'" target="_blank">'.get_post_meta( get_the_ID(),'testimonial_company_name', true ).'</a>';
			
						}else{
							$cp_name = get_post_meta( get_the_ID(),'testimonial_company_name', true );
						}
						$testimonial_name = get_post_meta( get_the_ID(),'testimonial_name', true );
						?>
						<div class="et_pb_slide_title_name et_pb_slide_title_name_testi"><strong><i><?php echo $testimonial_name; ?></i></strong>&nbsp;<span class="company_name"><?php echo $cp_name;?></span></div>
					</div> <!-- .et_pb_slide_description -->
					
					<?php 
					
					if ( $display_square_image != 'on' ){
							$cn_si = 'et_pb_slide_image_testi';
							$cn_si_rp = 'et_pb_slide_image_testi_responsive';
					}else{
							$cn_si = 'et_pb_slide_image_testi_square';
							$cn_si_rp = 'et_pb_slide_image_testi_responsive_square';
					}
					
					if ( $display_client_image == 'on' && $count == 1){
						if( $thumb[0] != ''){ $image_path = $thumb[0] ;}else{$image_path = get_stylesheet_directory_uri() . '/assets/img/default.png';}
					?>
						<div class="<?php echo $cn_si;?>"><img src="<?php echo  $image_path;?>" height="125" width="125"/></div>
					<?php 
					}?>
				
					<?php 	if( $thumb[0] != ''){ $image_path = $thumb[0] ;}else{$image_path = get_stylesheet_directory_uri() . '/assets/img/default.png';}
					?>
						<div class="<?php echo $cn_si_rp;?>"><img src="<?php echo  $image_path;?>" height="125" width="125"/></div>
					
				</div> <!-- .et_pb_container -->
			</div> <!-- .et_pb_slide -->
		<?php
		
		if ( $display_client_image == 'on'){
		if( $thumb[0] != ''){ $image_path = $thumb[0] ;}else{$image_path = get_stylesheet_directory_uri() . '/assets/img/default.png';}
			$style_testi_image .= '
					.'.$rand.' .et-pb-controllers a:nth-child('.$i.') {
						background-color: #000 !important;
						background-image: url("'.$image_path.'");
						background-size: contain;
					}
				';
		}
		$i++;
		
		} // end while
		wp_reset_query();
		$style_testi = '';
		if ( $b3_equal_height != 'on' && $b3_equal_height != '' ){
			$style_testi .= '.'.$rand.' .et_pb_container_testi {min-height:inherit !important;height: auto !important;}';
		}
	    if( $display_client_image != 'on' ){
			if ( $display_dot_navigation == 'on'){
				$style_testi .= '.'.$rand.' .et-pb-controllers a {
					height: 15px !important;
					width: 15px !important;
					margin-left: 5px;
					margin-right: 5px;
				}
				.'.$rand.' .et_pb_slide_description, .et_pb_slider_fullwidth_off.'.$rand.' .et_pb_slide_description{
					padding: 0 0 50px;
				}
				.'.$rand.' .et-pb-controllers .et-pb-active-control{background-color:'.$ts_dot_nav_custom_color.' !important; transform: none;}
				.'.$rand.' .et-pb-controllers a:hover {filter: brightness(100%);background-color:'.$ts_dot_nav_custom_color.' !important;}
				';
			}else{
				$style_testi .= ' .'.$rand.' .et-pb-controllers {display:none;}
				.'.$rand.' .et_pb_slide_description, .et_pb_slider_fullwidth_off.'.$rand.' .et_pb_slide_description{
					padding: 0 0 0px;
				}
				';
			}
		}
		$client_image_class = '';
		 if( $display_client_image == 'on' ){
		 	$client_image_class = "client_image_class";
		 }
		$content = ob_get_contents();

		ob_end_clean();
		$custom_padding_new_2 = '0px';$custom_padding_new_z = '0px';

		if ( isset( $custom_padding_new[2] ) && $custom_padding_new[2] == ''){$custom_padding_new_2 = '50px';}
		if ( isset( $custom_padding_new[0] ) && $custom_padding_new[0] == ''){$custom_padding_new_z = '60px';}
		$display_one_image_responsive_css = ''; 
		if (  $display_client_image == 'on' ){
			if ( $display_one_image_responsive != '' && is_numeric($display_one_image_responsive)){
				$display_one_image_responsive_css = "@media only screen and (max-width: ".$display_one_image_responsive."px) {
					.".$rand.".et_pb_testimonial_slider.client_image_class .et-pb-controllers{display:none;}
					.".$rand.".et_pb_testimonial_slider.client_image_class .et_pb_slide_image_testi_responsive ,.".$rand.".et_pb_testimonial_slider.client_image_class .et_pb_slide_image_testi_responsive_square {visibility:visible;height: auto;}
					.".$rand.".et_pb_testimonial_slider .et_pb_slide_image_testi_responsive,.".$rand.".et_pb_testimonial_slider .et_pb_slide_image_testi_responsive_square{ padding-bottom :".$custom_padding_new_2.";}
				}";
				$one_image_responsive_width = $display_one_image_responsive;
			}else{
				$display_one_image_responsive_css = "@media only screen and (max-width: 768px) {
					.".$rand.".et_pb_testimonial_slider.client_image_class .et-pb-controllers{display:none;}
					.".$rand.".et_pb_testimonial_slider.client_image_class .et_pb_slide_image_testi_responsive ,.".$rand.".et_pb_testimonial_slider.client_image_class .et_pb_slide_image_testi_responsive_square {visibility:visible;height: auto;}
					.".$rand.".et_pb_testimonial_slider .et_pb_slide_image_testi_responsive,.".$rand.".et_pb_testimonial_slider .et_pb_slide_image_testi_responsive_square{ padding-bottom :".$custom_padding_new_2.";}
				}";
				$one_image_responsive_width = '768';
			}
		}
		$display_one_image_responsive_js = '';
		if (  $display_client_image == 'on' && $show_arrows == 'off'){
			if ( $one_image_responsive_width != '' && is_numeric($one_image_responsive_width)){
					$display_one_image_responsive_js .= '<script type="text/javascript">
					jQuery(document).ready(function() {
						
						var responsive_width = '.$one_image_responsive_width.';
						var testiresponsiveclass = ".'.$rand.'";
						if( jQuery(document).width() <= responsive_width ){
								jQuery(testiresponsiveclass).removeClass("et_pb_slider_no_arrows");
								jQuery(testiresponsiveclass).addClass("et-pb-slider-arrows-hide");
						}
						
					});
					</script>';
					$display_one_image_responsive_css .= '.et-pb-slider-arrows-hide .et-pb-slider-arrows{display:none;}'; 
			}
		}
		
		$display_quote_css = "";
		if ( $display_quote != "on" ){
			$display_quote_css .= ".".$rand.".et_pb_testimonial_slider .et_pb_slides_testi:before {content: none;}";
		}else{
			if ( $display_quote_icon_color != '' ){
				$display_quote_css .= ".".$rand.".et_pb_testimonial_slider .et_pb_slides_testi:before {color: ".$display_quote_icon_color."; opacity:0.5;}";
			}
			
		}
		$display_square_image_css = '';
		$display_square_css_class = '';
		
		if ( $display_square_image != 'on' ){
			$display_square_image_css .= '.'.$rand.'.et_pb_testimonial_slider .et-pb-controllers a,.'.$rand.'.et_pb_testimonial_slider .et-pb-controllers .et-pb-active-control {  border-radius: 100px !important;-moz-border-radius: 100px !important; -webkit-border-radius: 100px !important;}';
		}else{
			$square_image_height = $display_square_image_height != '' ? $display_square_image_height :  '80'; 
			$square_image_width = $display_square_image_width != '' ? $display_square_image_width :  '80'; 
			$display_square_image_css .= '.'.$rand.'.et_pb_testimonial_slider .et-pb-controllers a,.'.$rand.' .et_pb_slide_image_testi_responsive_square img { height: '.$square_image_height.'px ;width: '.$square_image_width.'px ;}';
			$display_square_css_class = 'square_css_class';
		}
		$output = sprintf(
			'<div%3$s class="et_pb_module et_pb_testimonial_slider et_pb_slider et_pb_post_slider%1$s%4$s %5$s %8$s %9$s %14$s">
				<div class="et_pb_slides et_pb_slides_testi">
					%2$s
				</div> <!-- .et_pb_slides -->
			</div> <!-- .et_pb_slider -->
			<style>.'.$rand.'.et_pb_testimonial_slider .et-pb-controllers { padding-bottom :'.$custom_padding_new_2.';}
			.'.$rand.'.et_pb_testimonial_slider .et_pb_slides_testi { padding-top :'.$custom_padding_new_z.';}
			%6$s%7$s%10$s%11$s%12$s
			</style>
			%13$s
			',
			$class,
			$content,
			( '' !== $module_id ? sprintf( ' id="%1$s"', esc_attr( $module_id ) ) : '' ),
			( '' !== $module_class ? sprintf( ' %1$s', esc_attr( $module_class ) ) : '' ),
			$rand,
			$style_testi,
			$style_testi_image,
			$client_image_class,
			$cls_single_image,
			$display_one_image_responsive_css,
			$display_quote_css,
			$display_square_image_css,
			$display_one_image_responsive_js,
			$display_square_css_class
		);
		return $output;
	   }else{
	   	return 'No Testimonial Found!';
	   } // end if
	}
}
}
new Bruno_ET_Builder_Module_Testimonial_Slider();
}
add_action('et_builder_ready', 'bruno_divi_child_theme_setup');
?>