<?php


function b3_bruno_et_builder_get_caldera_forms() {

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	if ( is_plugin_active( 'caldera-forms/caldera-core.php' ) ) {
	
		$forms = Caldera_Forms::get_forms();
		$got_forms = array();
		if(!empty($forms)){
		foreach($forms as $form_id=>$form){
			$got_forms += [$form_id => esc_html__( $form['name'], 'et_builder' )];
		}
		}else{
			$got_forms += [null => 'Sorry No Forms Make Some'];
		}
		return $got_forms;
	}
	else{
		$got_forms = array();
		$got_forms = [null => 'Please activate Caldera Forms. It is required'];
		return $got_forms;
	}

}

function b3_bruno_et_builder_get_contact_form7() {

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	if ( is_plugin_active( 'contact-form-7/wp-contact-form-7.php' ) ) {
	
		$args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);
		$cf7Forms = get_posts( $args );
		$form_ids = wp_list_pluck( $cf7Forms , 'post_title','ID' ); // Get the Forms ID in an Array 
		$got_forms = array();
		if(!empty($form_ids)){
		foreach($form_ids as $key=>$val){
			$got_forms += [$key => esc_html__( $val, 'et_builder' )];
		}
		}else{
			$got_forms += [null => 'Sorry No Forms Make Some'];
		}
		return $got_forms;
	}
	else{
		$got_forms = array();
		$got_forms = [null => 'Please activate Contact Form 7 . It is required'];
		return $got_forms;
	}

}


function b3_bruno_et_builder_get_garvity_form() {

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	if ( is_plugin_active( 'gravityforms/gravityforms.php' )  ) {
	
		$forms = RGFormsModel::get_forms( null, 'title' );
		$got_forms = array();
		if(!empty($forms)){
		foreach( $forms as $form ){
			$got_forms += [$form->id  => esc_html__( $form->title, 'et_builder' )];
		}
		}else{
			$got_forms += [null => 'Sorry No Forms Make Some'];
		}
		return $got_forms;
	}
	else{
		$got_forms = array();
		$got_forms = [null => 'Please activate Gravity Forms. It is required'];
		return $got_forms;
	}

}


	
add_action("epanel_render_maintabs", 'add_b3_bruno_epanel_tab');

function add_b3_bruno_epanel_tab(){
  add_b3_bruno_epanel_fields();
  ?>
  <li><a href="#wrap-bruno"><?php theme_locals('Bruno'); ?></a></li>
  <?php
}


add_action("et_epanel_changing_options", 'add_b3_bruno_epanel_fields');

function add_b3_bruno_epanel_fields(){
  global $epanelMainTabs, $themename, $shortname, $options;
	/* main tab */
  $options[] = array(
    "name" => "wrap-bruno",
    "type" => "contenttab-wrapstart",);
	
	
  $options[] = array(
    "type" => "subnavtab-start",);
	
  $options[] = array(
    "name" => "bruno-1",
    "type" => "subnav-tab",
    "desc" => esc_html__("General", $themename)
  );
  
  
  $options[] = array(
    "name" => "bruno-2",
    "type" => "subnav-tab",
    "desc" => esc_html__("Menu Button", $themename)
  );
  
 
   $options[] = array(
    "name" => "bruno-4",
    "type" => "subnav-tab",
    "desc" => esc_html__("Preloader", $themename)
  );
  
   $options[] = array(
    "name" => "bruno-5",
    "type" => "subnav-tab",
    "desc" => esc_html__("Theme Color", $themename)
  );
  
  $options[] = array(
    "name" => "bruno-6",
    "type" => "subnav-tab",
    "desc" => esc_html__("Ghost Header", $themename)
  );
  
  
  $options[] = array(
    "type" => "subnavtab-end",);

 /* sub tab 1*/
 $options[] = array(
    "name" => "bruno-1",
    "type" => "subcontent-start",);

$options[] = array(
	'name' => esc_html__('Update Notifications', $themename),
	'id' => $shortname . "_bruno_disable_updates",
    'desc' => esc_html__('Bruno Updates.Note: Disabling Bruno update notification is not recommended.',$themename),
    'std' => 'on',
    "type" => "checkbox"
   );
   
     $options[] = array(
	'name' => esc_html__('Note', 'diviestate'),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_bruno_updates_option',
   );
   
$options[] = array(
	'name' => esc_html__('Fixed Header On Mobiles', $themename),
	'id' => $shortname . "_fixed_header_on_mobiles",
    'desc' => esc_html__('Fixed Header On Mobiles'),
    'std' => 'on',
    "type" => "checkbox"
   );
   
 
   
  $options[] = array(
    'name' => esc_html__('Fixed Header Logo', $themename),
    'id' => $shortname . "_fixed_logo_url",
    'desc' => '',
    'std' => get_stylesheet_directory_uri() . '/images/logo.png',
    "type" => "upload"
  );
  
    $options[] = array(
	'name' => esc_html__('Add shadow to fixed header', $themename),
	'id' => $shortname . "_fixed_header_shadow",
    'desc' => esc_html__('Add shadow to fixed header'),
    'std' => 'off',
    "type" => "checkbox"
   );
   
  $options[] = array(
    'name' => esc_html__('Testimonial Archive Page Slug', $themename),
    'id' => $shortname . "_testimonial_listing_page_slug",
    'desc' => 'Change Testimonial Listing Page Slug',
    'std' => 'testimonials',
    "type" => "text"
  );
  
  $options[] = array(
	'name' => esc_html__('Custom animations in Safari browser', $themename),
	'id' => $shortname . "_custom_animations_safari_browser",
    'desc' => esc_html__('Custom animations in Safari browser'),
    'std' => 'on',
    "type" => "checkbox"
   );
  
   $options[] = array(
	'name' => esc_html__('Note', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_animations_option',
   );
   
   $options[] = array(
	'name' => esc_html__('Social Icons', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_bruno_blank',
   );
   
   $options[]  = array( "name" =>esc_html__( "Instagram Url", $themename),
                   "id" => $shortname . "_instagram_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Instagram. ",$themename) 
	);
				   
		
	 $options[]  = array( "name" =>esc_html__( "Youtube Url", $themename),
                   "id" => $shortname . "_youtube_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Youtube. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Linkedin Url", $themename),
                   "id" => $shortname . "_linkedin_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Linkedin. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Pinterest Url", $themename),
                   "id" => $shortname . "_pinterest_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Pinterest. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Tumblr Url", $themename),
                   "id" => $shortname . "_tumblr_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Tumblr. ",$themename) 
	);
	
	
	 $options[]  = array( "name" =>esc_html__( "Flikr Url", $themename),
                   "id" => $shortname . "_flikr_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Flikr. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Dribbble Url", $themename),
                   "id" => $shortname . "_dribbble_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Dribbble. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Vimeo Url", $themename),
                   "id" => $shortname . "_vimeo_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Vimeo. ",$themename) 
	);
	
  $options[] = array(
    "name" => "bruno-1",
    "type" => "subcontent-end",);
	
	
	/* sub tab 1*/
	
	
	/* sub tab 2*/

  $options[] = array(
    "name" => "bruno-2",
    "type" => "subcontent-start",);
	
	 $options[] = array(
	'name' => esc_html__('Trigger Popup Form', $themename),
	'id' => $shortname . "_trigger_caldera_popup_form",
    'desc' => esc_html__('Trigger Popup Form'),
    'std' => 'on',
    "type" => "checkbox"
   );
   
    
    $options[] = array(
    'name' => esc_html__('Select Form Plugin', $themename),
    'id' => $shortname . "_trigger_select_plugin",
    'desc' => esc_html__('Select Form Plugin', $themename),
    'std' => 'caldera',
    "type" => "select",
    "options" => array(
      'caldera' => esc_html__('Caldera Form', $themename),
	  'contact_form7' => esc_html__('Contact Form 7', $themename),
	  'garvity_form' => esc_html__('Gravity Forms', $themename),
    ),
	'et_save_values' => true,
  );
   
  $options[] = array(
	'name' => esc_html__('Select Form', $themename),
	'desc' => '',
	 'id' => $shortname . "_top_menu_caldera_popup_form",
	"type" => "select",
	'options'  => b3_bruno_et_builder_get_caldera_forms(),
	'et_save_values' => true,
   );
   
$options[] = array(
	'name' => esc_html__('Select Form', $themename),
	'desc' => '',
	 'id' => $shortname . "_top_menu_contact_form7",
	"type" => "select",
	'options'  => b3_bruno_et_builder_get_contact_form7(),
	'et_save_values' => true,
   );
   
   $options[] = array(
	'name' => esc_html__('Select Form', $themename),
	'desc' => '',
	 'id' => $shortname . "_top_menu_garvity_form",
	"type" => "select",
	'options'  => b3_bruno_et_builder_get_garvity_form(),
	'et_save_values' => true,
   );
   
   
  $options[] = array(
	'name' => esc_html__('Default Header Button', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_option',
   );
	
  $options[] = array(
    'name' => esc_html__('Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_background_color",
    'desc' => 'Background Color',
    'std' => '#ef666a',
  );
   $options[] = array(
    'name' => esc_html__('Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_text_color",
    'desc' => 'Text Color',
    'std' => '#ffffff',
  );
  
  $options[] = array(
    'name' => esc_html__('Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_border_color",
    'desc' => 'Border Color',
    'std' => '#ef666a',
  );
  
   $options[] = array(
    'name' => esc_html__('Hover Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_hover_background_color",
    'desc' => 'Hover Background Color',
    'std' => 'rgba(238, 71, 76, 0)',
  );
   $options[] = array(
    'name' => esc_html__('Hover Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_hover_text_color",
    'desc' => 'Hover Text Color',
    'std' => '#ffffff',
  );
  
  $options[] = array(
    'name' => esc_html__('Hover Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_hover_border_color",
    'desc' => 'Hover Border Color',
    'std' => '#ffffff',
  );
  
  
  $options[] = array(
    'name' => esc_html__('Border Radius', $themename),
    'type' => 'text',
    'id' => $shortname . "_dh_button_contact_menu_border_radius",
    'desc' => 'Border Radius',
    'std' => '2px',
  );
  
   $options[] = array(
    'name' => esc_html__('Padding', $themename),
    'type' => 'text',
    'id' => $shortname . "_dh_button_contact_menu_padding",
    'desc' => 'Padding',
    'std' => '0px',
  );
  $options[] = array(
	'name' => esc_html__('Note', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_padding_option',
   );
   $options[] = array(
	'name' => esc_html__('Fixed Header Button', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_fixed_header_option',
   );
	
  $options[] = array(
    'name' => esc_html__('Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_background_color",
    'desc' => 'Background Color',
    'std' => '#ef666a',
  );
   $options[] = array(
    'name' => esc_html__('Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_text_color",
    'desc' => 'Text Color',
    'std' => '#ffffff',
  );
  
  $options[] = array(
    'name' => esc_html__('Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_border_color",
    'desc' => 'Border Color',
    'std' => '#ef666a',
  );
  
   $options[] = array(
    'name' => esc_html__('Hover Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_hover_background_color",
    'desc' => 'Hover Background Color',
    'std' => 'rgba(238, 71, 76, 0)',
  );
   $options[] = array(
    'name' => esc_html__('Hover Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_hover_text_color",
    'desc' => 'Hover Text Color',
    'std' => '#ffffff',
  );
  
  $options[] = array(
    'name' => esc_html__('Hover Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_hover_border_color",
    'desc' => 'Hover Border Color',
    'std' => '#ffffff',
  );
  
  
  $options[] = array(
    'name' => esc_html__('Border Radius', $themename),
    'type' => 'text',
    'id' => $shortname . "_fh_button_contact_menu_border_radius",
    'desc' => 'Border Radius',
    'std' => '2px',
  );
   $options[] = array(
    'name' => esc_html__('Padding', $themename),
    'type' => 'text',
    'id' => $shortname . "_fh_button_contact_menu_padding",
    'desc' => 'Padding',
    'std' => '0px',
  );
  $options[] = array(
	'name' => esc_html__('Note', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_padding_option',
	
   );
   
  $options[] = array(
	'name' => esc_html__(' Mobile Menu Button', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_mobile_menu_option',
   );
   
  $options[] = array(
    'name' => esc_html__('Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_mobile_button_contact_menu_text_color",
    'desc' => 'Text Color',
    'std' => '#ffffff',
  );
	
  $options[] = array(
    'name' => esc_html__('Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_mobile_button_contact_menu_background_color",
    'desc' => 'Background Color',
    'std' => '#ef666a',
  );
   
  
  $options[] = array(
    'name' => esc_html__('Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_mobile_button_contact_menu_border_color",
    'desc' => 'Border Color',
    'std' => '#ef666a',
  );
  
  
  $options[] = array(
    'name' => esc_html__('Border Radius', $themename),
    'type' => 'text',
    'id' => $shortname . "_mobile_button_contact_menu_border_radius",
    'desc' => 'Border Radius',
    'std' => '2px',
  );
  
  $options[] = array(
    'name' => esc_html__('Border Width', $themename),
    'type' => 'text',
    'id' => $shortname . "_mobile_button_contact_menu_border_width",
    'desc' => 'Border Radius',
    'std' => '2px',
  );
  
   $options[] = array(
    'name' => esc_html__('Padding', $themename),
    'type' => 'text',
    'id' => $shortname . "_mobile_button_contact_menu_padding",
    'desc' => 'Padding',
    'std' => '8px',
  );
  $options[] = array(
	'name' => esc_html__('Note', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_padding_option',
	
   );
  
  $options[] = array(
    "name" => "bruno-2",
    "type" => "subcontent-end",);
	
	/* sub tab 2*/
	
	
	/* sub tab 4*/
	
	
	
		$options[] = array(
    "name" => "bruno-4",
    "type" => "subcontent-start",);
	
	$options[] = array(
	'name' => esc_html__('Preloader', $themename),
	'id' => $shortname . "_bruno_preloader_option",
    'desc' => 'Prealoder   ENABLE/DISABLE ',
    'std' => 'on',
    "type" => "checkbox"
   );
   
   $options[] = array(
    'name' => esc_html__('Preloader Image Size', $themename),
    'id' => $shortname . "_bruno_preloader_image_size",
    'desc' => esc_html__('Preloader Image Size', $themename),
    'std' => '70px',
    "type" => "select",
    "options" => array(
      '70px' => esc_html__('Regular', $themename),
	  '100px' => esc_html__('Large', $themename),
    ),
	'et_save_values' => true,
  );
   
  $options[] = array(
	'name' => esc_html__('Preloader Images', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_preloader_option',
   );
  
  
  $options[] = array(
    'name' => esc_html__('Preloader Image Uploader', $themename),
    'id' => $shortname . "_bruno_preloader_custom_image",
    'desc' => 'You can Upload your Desire image.Image size will be maximum width: 200px and maximum height : 200px',
    'std' => '',
    "type" => "upload"
  );
  
	 $options[] = array(
    'name' => esc_html__('Preloader background color', $themename),
    'id' => $shortname . "_bruno_preloader_background_color",
    'desc' => 'Please Select preloader background color here. You can also add html HEX color code.',
    'std' => '#fefefe',
    "type" => "et_color_palette"
  );
  
  
  $options[] = array(
    'name' => esc_html__('Preloader Effects', $themename),
    'id' => $shortname . "_bruno_preloader_effects",
    'desc' => 'Preloader Effects.',
    'std' => 'fadeOut',
    "type" => "select",
    "options" => array(
      'fadeOut' => esc_html__('FadeOut ', $themename),
      'slideUp' => esc_html__('SlideUp', $themename),
    ),
	'et_save_values' => true,
  );
  
  
   $options[] = array(
    'name' => esc_html__('Preloader Delay time', $themename),
    'type' => 'text',
    'id' => $shortname . "_bruno_preloader_delay_time",
    'desc' => 'Please put delay time, only use number. Default value is 350. Example: 350',
    'std' => '350',
  );
  
  $options[] = array(
    'name' => esc_html__('Body Delay time', $themename),
    'type' => 'text',
    'id' => $shortname . "_bruno_preloader_body_delay_time",
    'desc' => 'Please put delay time, only use number. Default value is 350. Example: 350',
    'std' => '350',
  );
  
   $options[] = array(
    'name' => esc_html__('Preloader body Opacity', $themename),
    'type' => 'text',
    'id' => $shortname . "_bruno_preloader_body_opacity",
    'desc' => 'Please put Opacity, only use number. Default value is 1. Example: .8 You can learn more about opacity',
    'std' => '1',
  );
  
  
   $options[] = array(
    'name' => esc_html__('Preloader Fadeout Speed', $themename),
    'id' => $shortname . "_bruno_preloader_fadeout_speed",
    'desc' => 'Preloader Fadeout Speed.',
    'std' => 'fast',
    "type" => "select",
    "options" => array(
      'fast' => esc_html__('Fast', $themename),
      'slow' => esc_html__('Slow', $themename),
    ),
	'et_save_values' => true,
  );
  
  
  
	 $options[] = array(
    "name" => "bruno-4",
    "type" => "subcontent-end",);
	
	/* sub tab 4*/
	
	/* sub tab 5*/
	$options[] = array(
    "name" => "bruno-5",
    "type" => "subcontent-start",);

	$options[] = array(
		'name' => esc_html__('Theme Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_bruno_theme_color",
		'desc' => esc_html__('Theme Color', $themename),
		'std' => '#ED4F54',
	  );
  
  $options[] = array(
    "name" => "bruno-6",
    "type" => "subcontent-end",);
	/* sub tab 5*/
	
	/* sub tab 5*/
	$options[] = array(
    "name" => "bruno-6",
    "type" => "subcontent-start",);

	$options[] = array(
	'name' => esc_html__('Ghost Header', $themename),
	'id' => $shortname . "_ghost_header",
    'desc' => 'Ghost Header ENABLE/DISABLE ',
    'std' => 'on',
    "type" => "checkbox"
   );
   
  
	$options[] = array(
	'name' => esc_html__('Default Ghost Header', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_option',
   );
   
   $options[] = array(
    'name' => esc_html__('Ghost Header Logo', $themename),
    'id' => $shortname . "_ghost_header_logo",
    'desc' => 'You can Upload your Desire image.',
    'std' => '',
    "type" => "upload"
   );
  
   $options[] = array(
		'name' => esc_html__('Ghost Header Background Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_primary_nav_bg",
		'desc' => esc_html__('Ghost Header Background Color', $themename),
		'std' => 'rgba(31,31,31,0)',
	  );
	  
	$options[] = array(
		'name' => esc_html__('Text Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_df_text_color",
		'desc' => esc_html__('Text Color', $themename),
		'std' => '#697986',
	  );
	  
	  $options[] = array(
		'name' => esc_html__('Active Link Text Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_df_active_link_text_color",
		'desc' => esc_html__('Active Link Text Color', $themename),
		'std' => '#FFFFFF',
	  );
	  
	
	
	$options[] = array(
	'name' => esc_html__('Fixed Ghost Header', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_option',
   );
   
   $options[] = array(
    'name' => esc_html__('Fixed Ghost Header Logo', $themename),
    'id' => $shortname . "_fixed_ghost_header_logo",
    'desc' => 'You can Upload your Desire image.',
    'std' => '',
    "type" => "upload"
   );
   
    $options[] = array(
		'name' => esc_html__('Fixed Header Background Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_fixed_primary_nav_bg",
		'desc' => esc_html__('Ghost Header Background Color', $themename),
		'std' => '#FFFFFF',
	  );
	  
	$options[] = array(
		'name' => esc_html__('Text Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_fx_text_color",
		'desc' => esc_html__('Text Color', $themename),
		'std' => '#697986',
	  );
	  
	  $options[] = array(
		'name' => esc_html__('Active Link Text Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_fx_active_link_text_color",
		'desc' => esc_html__('Active Link Text Color', $themename),
		'std' => '#FFFFFF',
	  );
		
		
		 $options[] = array(
		'name' => esc_html__('Dropdown Menu Background Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_dropdown_menu_nav_bg",
		'desc' => esc_html__('Dropdown Menu Background Color', $themename),
		'std' => '#ED4F54',
	  );
	  
	   $options[] = array(
		'name' => esc_html__('Dropdown Menu Line Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_dropdown_line_nav_bg",
		'desc' => esc_html__('Dropdown Menu Line Color', $themename),
		'std' => '#ED7175',
	  );
	  
	    $options[] = array(
		'name' => esc_html__('Dropdown Menu Text Color', $themename),
		'type' => 'et_color_palette',
		'id' => $shortname . "_ghost_dropdown_text_nav_bg",
		'desc' => esc_html__('Dropdown Menu Text Color', $themename),
		'std' => '#ffffff',
	  );
		// Pages	
		  
		$pages_ids = array();	  
		$ghost_selected_pages = array();
		$pages = get_pages(); 
		//$ghost_selected_pages = array("all"=>"Whole Site");
		foreach ($pages as $page) {
			$ghost_selected_pages[$page->ID]=  $page->post_title;
			$pages_ids[] = $page->ID;
		}
		
		$exclude_array = array('page','attachment','revision','nav_menu_item','custom_css','customize_changeset','et_pb_layout');
		foreach(get_post_types() as $pt) {
		 
		 if ( !in_array($pt,$exclude_array) ){
				$ghost_selected_pages[$pt]=  ucwords($pt." archive & detail page");
				$pages_ids[] = $pt;
		 }
		} 
		
		$exclude_array_taxo = array('nav_menu','link_category','scope','module_width','layout_type','layout_category','et_pb_layout');
		
		
		foreach(get_taxonomies() as $taxonomies) {
		
		if ( !in_array($taxonomies,$exclude_array_taxo) ){
				$ghost_selected_pages[$taxonomies]=  ucwords(str_replace( '_' , ' ' , $taxonomies ) );
				$pages_ids[] = $taxonomies;
		 }
		
		} 
		$ghost_selected_pages['authorp']=  'Author Page';
		$ghost_selected_pages['searchp']=  'Search Page';
		$ghost_selected_pages['404p']=  '404 Page';
		$ghost_selected_pages['datep']=  'Date,Year,Month,Day,Time Page';
		$pages_ids[] = 'authorp';
		$pages_ids[] = 'searchp';
		$pages_ids[] = '404p';
		$pages_ids[] = 'datep';
		// Pages	
		
	  $options[] = array(
			'name' => esc_html__('Exclude pages from the Ghost Header', $themename),
			'id' => $shortname . "_ghost_selected_pages",
			"type" => "checkboxes",
			'desc' => ' All pages marked with an X will appear as a ghost header.',
			'std' => '',
			'usefor' => 'custom',
			'helper' => $ghost_selected_pages,
			'options' => $pages_ids
	 );
		   
  
  $options[] = array(
    "name" => "bruno-6",
    "type" => "subcontent-end",);
	/* sub tab 5*/
	
  $options[] = array(
    "name" => "wrap-bruno",
    "type" => "contenttab-wrapend",);
	/* main tab */
}

function et_bruno_updates_option(){
	echo 'Disabling Bruno update notification is not recommended.';
}
function et_default_header_option(){}
function et_fixed_header_option(){}
function et_mobile_menu_option(){}
function et_default_header_padding_option(){ echo "Add paddings '(top, right, bottom, and left)' Example : 50px 30px 50px 80px<br/><br/><br/><br/><br/><br/>";}
function et_animations_option(){ echo "Custom animations may not work properly in Safari browsers. If you are experiencing issues with your site please disable this option";}
function et_bruno_blank(){ }
?>