<?php 
function et_builder_archive_include_testi_categories(){
		$terms = get_terms( array(
			'taxonomy' => 'b3m_testimonial_category',
			'hide_empty' => false,
		) );
		
		$terms_content = array();
		$count = count($terms);
		if ( $count > 0 ){
			foreach($terms as $testival){
				$terms_content[$testival->term_id] = $testival->name;
			}
		}
		return $terms_content;
}
function bruno_divi_archive() {
if ( class_exists('ET_Builder_Module')) {
class ET_Testimonial_Archive extends ET_Builder_Module {
		function init() {
			$this->name 			= esc_html__( 'Testimonial Grid/List', 'et_builder' );
			$this->slug 			= 'et_pb_b3_testimonial_archive';
			$this->vb_support       = 'partial';
			$this->main_css_element = '%%order_class%%.b3_archive_testimonial';
		}
		function get_custom_css_fields_config() {
				return array(
					'bm3_testimonial_image' => array(
						'label'    => esc_html__( 'Testimonial Image', 'et_builder' ),
						'selector' => '%%order_class%% .b3_archive_testimonial_image img',
					),
					'bm3_testimonial_icon' => array(
						'label'    => esc_html__( 'Testimonial Icon', 'et_builder' ),
						'selector' => '%%order_class%% .b3_quote:before',
					),
					'bm3_testimonial_text' => array(
						'label'    => esc_html__( 'Testimonial Text', 'et_builder' ),
						'selector' => '%%order_class%% .b3_archive_testimonial_text',
					),
					'bm3_testimonial_name' => array(
						'label'    => esc_html__( 'Testimonial Name', 'et_builder' ),
						'selector' => '%%order_class%% .b3_archive_testimonial_name',
					),
					'bm3_testimonial_company_name' => array(
						'label'    => esc_html__( 'Testimonial Company Name', 'et_builder' ),
						'selector' => '%%order_class%% .b3_archive_testimonial_company_name a',
					),
					'bm3_testimonial_pagination' => array(
						'label'    => esc_html__( 'Testimonial Pagination', 'et_builder' ),
						'selector' => '%%order_class%% .b3_archive_archive_pagination .page-numbers',
					),
					'bm3_testimonial_pagination_hover' => array(
						'label'    => esc_html__( 'Testimonial Pagination On Hover', 'et_builder' ),
						'selector' => '%%order_class%% .b3_archive_archive_pagination .page-numbers:hover',
					),
					'bm3_testimonial_pagination_current' => array(
						'label'    => esc_html__( 'Testimonial Pagination Current', 'et_builder' ),
						'selector' => '%%order_class%% .b3_archive_archive_pagination .page-numbers.current',
					)
				);
		}
		function get_fields() {
			$fields = array(
				'archive_testimonial_layout' => array(
					'label'             => esc_html__( 'Layout', 'et_builder' ),
					'type'              => 'select',
					'option_category'   => 'basic_option',
					 'options'          => array(
						'grid'   => esc_html__( 'Grid Layout', 'et_builder' ),
						'list'   => esc_html__( 'List Layout', 'et_builder' ),
					), 
					'default' 		    => 'grid',
					'description'       => esc_html__( 'Here you can select the testimonial layout.', 'et_builder' ),
				),
			 	'archive_testimonial_per_page' => array(
					'label'           => esc_html__( 'Testimonial Per Page', 'et_builder' ),
					'type'            => 'text',
					'option_category' => 'basic_option',
					'default' 		  => '6',
					'description'     => esc_html__( 'Count of testimonial to be shown.', 'et_builder' ),
				),
				'archive_testimonial_equal_height_box'         => array(
					'label'           => esc_html__( 'Equal Height Box', 'et_builder' ),
					'type'            => 'yes_no_button',
					'option_category' => 'configuration',
					'show_if'         => array('archive_testimonial_layout' => 'grid'),
					'options'         => array(
					    'off' => esc_html__( 'No', 'et_builder' ),
						'on'  => esc_html__( 'yes', 'et_builder' ),
					),
					'default' 		  => 'off',
					'description'     => esc_html__( 'This setting will turn on and off the Equal Height of Content.', 'et_builder' ),
				), 
				'archive_testimonial_display_quote_icon'         => array(
					'label'           => esc_html__( 'Display Quote Icon', 'et_builder' ),
					'type'            => 'yes_no_button',
					'option_category' => 'configuration',
					'options'         => array(
						'on'  => esc_html__( 'yes', 'et_builder' ),
					    'off' => esc_html__( 'No', 'et_builder' ),
					),
					'default' 		  => 'on',
					'description'     => esc_html__( 'This setting will turn on and off the Quote Icon.', 'et_builder' ),
				), 
				'archive_testimonial_display_image'         => array(
					'label'           => esc_html__( 'Display Image', 'et_builder' ),
					'type'            => 'yes_no_button',
					'option_category' => 'configuration',
					'options'         => array(
						'on'  => esc_html__( 'yes', 'et_builder' ),
					    'off' => esc_html__( 'No', 'et_builder' ),
					),
					'default' 		  => 'on',
					'description'     => esc_html__( 'This setting will turn on and off the Image.', 'et_builder' ),
				),
				 'archive_testimonial_display_pagination'         => array(
					'label'           => esc_html__( 'Display Pagination', 'et_builder' ),
					'type'            => 'yes_no_button',
					'option_category' => 'configuration',
					'options'         => array(
						'off' => esc_html__( 'No', 'et_builder' ),
						'on'  => esc_html__( 'yes', 'et_builder' ),
					),
					'default' 		  => 'off',
					'description'     => esc_html__( 'This setting will turn on and off the Pagination.', 'et_builder' ),
				),
				'archive_testimonial_display_category'         => array(
					'label'             => esc_html__( 'Display Testimonials by Category', 'et_builder' ),
					'type'              => 'select',
					'option_category'   => 'basic_option',
					 'options'           => array(
						'all'   => esc_html__( 'All', 'et_builder' ),
						'specificcategory'   => esc_html__( 'Specific Category', 'et_builder' ),
					), 
					'default' 		  => 'all',
					'description'       => esc_html__( 'Here you can select the testimonial display category.', 'et_builder' ),
				), 
				'include_categories' => array(
					'label'            => esc_html__( 'Specific Categories', 'et_builder' ),
					'renderer'         => 'et_builder_include_categories_option',
					'option_category'  => 'basic_option',
					'show_if'          => array('archive_testimonial_display_category' => 'specificcategory'),
					'renderer_options' => array(
						'use_terms' => true,
						'term_name' => 'b3m_testimonial_category',
					),
					'description'      => esc_html__( 'Choose which categories you would like to include in the testimonial filter.', 'et_builder' ),
					
				),
			);
			return $fields;
		}

	function render( $attrs, $content = null, $render_slug ) {
		$module_id               			= $this->props['module_id'];
		$module_class            			= $this->props['module_class'];
		$archive_testimonial_layout 		= $this->props['archive_testimonial_layout'];
		$archive_testimonial_per_page 		= $this->props['archive_testimonial_per_page'];
		$archive_testimonial_equal_height_box = $this->props['archive_testimonial_equal_height_box'];
		$archive_testimonial_display_quote_icon = $this->props['archive_testimonial_display_quote_icon'];
		$archive_testimonial_display_image = $this->props['archive_testimonial_display_image'];
		$archive_testimonial_display_pagination = $this->props['archive_testimonial_display_pagination'];

		$archive_testimonial_display_category = $this->props['archive_testimonial_display_category'];
		$include_categories = $this->props['include_categories'];
		$include_categories_array = explode(',',$include_categories);
		
		$this->content = et_builder_replace_code_content_entities( $this->content );
		$module_class = ET_Builder_Element::add_module_order_class( $module_class, $render_slug );
		
		$module_id = ( '' !== $module_id ? sprintf( ' id="%1$s"', esc_attr( $module_id ) ) : '' );
		$module_class = ( '' !== $module_class ? sprintf( ' %1$s', esc_attr( $module_class ) ) : '' );
			
		$archive_output = '';
		$archive_output .= '<div class="b3_archive_testimonial '.$module_class.'" '.$module_id.'>';
		$layout_class= '';
		if($archive_testimonial_layout == 'grid'){
			$layout_class = "b3_archive_testimonial_view_grid";
		}else{
			$layout_class = "b3_archive_testimonial_view_list";
		}
		$archive_output .= '<div class="b3_archive_testimonial_view '.$layout_class.'">';
		$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
		$archive_args = array(
			'post_type' => 'testimonials',
			'paged' => $paged,
			'posts_per_page' => $archive_testimonial_per_page 
		);
		 
		 if ( $archive_testimonial_display_category != 'all'){
		 
		 		$archive_args['tax_query'] = array(
							array(
								'taxonomy' => 'b3m_testimonial_category',
								'field' => 'term_id',
								'terms' => $include_categories_array,
								'operator' => 'IN'
							)
						);
		 }
		$archive_testimonial_query = new WP_Query( $archive_args );
		if($archive_testimonial_layout == 'grid'){
			// The Loop
			if ( $archive_testimonial_query->have_posts() ) { 
				while ( $archive_testimonial_query->have_posts() ) { $archive_testimonial_query->the_post();
					ob_start();
					include get_stylesheet_directory(). '/content-archive-testimonial-grid.php';
					$archive_output .= ob_get_contents();
					ob_end_clean();
				}
				wp_reset_postdata();
			}
		}else{
			// The Loop
			if ( $archive_testimonial_query->have_posts() ) {
				$archive_output .=  '';
				while ( $archive_testimonial_query->have_posts() ) { $archive_testimonial_query->the_post();
					ob_start();
					include get_stylesheet_directory(). '/content-archive-testimonial-list.php';
					$archive_output .= ob_get_contents();
					ob_end_clean();
				}
				$archive_output .= '';
				wp_reset_postdata();
			}
		} 
		$archive_output .= '</div></div>';
		if($archive_testimonial_display_pagination == 'on'){
			$archive_output .= '<div class="et_pb_row b3_archive_archive_pagination">';
			$big = 999999999; // need an unlikely integer
			$archive_output .= paginate_links(array(
				'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
				'format' => '?paged=%#%',
				'current' => max( 1, get_query_var('paged') ),
				'total' => $archive_testimonial_query->max_num_pages, 
				'prev_text' => __( '<span class="et-pb-icon">&#x34;</span>', 'textdomain' ),
				'next_text' => __( '<span class="et-pb-icon">&#x35;</span>', 'textdomain' ),
			) );
			$archive_output .= '</div>';
		}
		return $archive_output;
	}
}

}
new ET_Testimonial_Archive();
}
add_action('et_builder_ready', 'bruno_divi_archive');