<?php 
require_once( get_stylesheet_directory() . '/lib/burno-license.php' );
// Load the API Key library if it is not already loaded. Must be placed in the root plugin file.
if (  class_exists( 'Burno_License_Theme' ) ) {

	$disable_burno_updates ='';
	$divi_burno_disable_updates = get_option('et_divi');
 	if (array_key_exists('divi_bruno_disable_updates', $divi_burno_disable_updates)) {
		if ( $divi_burno_disable_updates['divi_bruno_disable_updates'] != 'on' ){
				$disable_burno_updates = "YES";
		}else{
				$disable_burno_updates = "NO";
		}
	}else{
		$disable_burno_updates = "NO";
	}
    /**
     * @param string $file             Must be __FILE__ from the root plugin file, or theme functions file.
     * @param string $software_title   Must be exactly the same as the Software Title in the product.
     * @param string $software_version This product's current software version.
     * @param string $plugin_or_theme  'plugin' or 'theme'
     * @param string $api_url          The URL to the site that is running the API Manager. Example: https://www.toddlahman.com/
     *
     * @return \AM_License_Submenu|null
     */
	if ( $disable_burno_updates == "NO" ){ 
   		 Burno_License_Theme::instance( __FILE__, 'Bruno', '2.3', 'theme', 'https://divilover.com/' );
	}
}

/* Child CSS */
function Bruno_elegant_enqueue_css() { 

wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' ); 
wp_enqueue_style( 'custom-bruno-testimonial', get_stylesheet_directory_uri() . '/css/bruno_testimonial_slider_module.css', array(),true);
wp_enqueue_style('custom-bruno-font-awesome-css', get_stylesheet_directory_uri() . '/css/font-awesome.min.css', array(), NULL);
wp_enqueue_style('custom-bruno-owl-carousel-css', get_stylesheet_directory_uri() . '/css/owl.carousel.css', array(), NULL);
wp_enqueue_style('bruno_widget_style',get_stylesheet_directory_uri() . '/css/bruno_widget_style.css', NULL, TRUE);
wp_enqueue_style('bruno_archive_testimonial',get_stylesheet_directory_uri().'/css/bruno_archive_testimonial.css');
wp_enqueue_style('et_icon-css', get_stylesheet_directory_uri().'/css/et_icon.css');
wp_enqueue_style('b3_frontend_et-css', get_stylesheet_directory_uri().'/css/b3_frontend_et.css');

wp_enqueue_script( 'b3iconset-js', get_stylesheet_directory_uri() .'/js/b3icons_et.js', array(), '1.0.0' ,true );

wp_enqueue_script( 'bruno_owl-carousel-min-js', get_stylesheet_directory_uri(). '/js/owl.carousel.min.js', array('jquery'), NULL, TRUE );
wp_enqueue_script( 'bruno_equalheight', get_stylesheet_directory_uri() . '/js/b3_equalheight.js', array('jquery'), NULL, TRUE );
wp_enqueue_script( 'b3_animations', get_stylesheet_directory_uri() . '/js/b3_animations.js', array('jquery'), NULL, TRUE );
if(strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') !== false) {
		wp_enqueue_script( 'Bruno-icon-ie7js', get_stylesheet_directory_uri() . '/js/lte-ie7.js','', '', true );
}
$divi_custom_animations_safari_browser = et_get_option( 'divi_custom_animations_safari_browser', 'on' );
wp_localize_script( 'b3_animations', 'b3animationssafari', array( 'divi_custom_animations_safari_browser' => $divi_custom_animations_safari_browser ) );

wp_enqueue_script( 'bruno_archive_testimonial_filter', get_stylesheet_directory_uri() . '/js/bruno_archive_testimonial_filter.js', array('jquery'), NULL, TRUE );

wp_enqueue_script( 'bruno_theme_style', get_stylesheet_directory_uri() . '/js/theme_style.js', array('jquery'), NULL, TRUE );

$divi_bruno_theme_color = et_get_option( 'divi_bruno_theme_color', '#ee474c' );
wp_localize_script( 'bruno_theme_style', 'brunothemestyle', array( 'divi_bruno_theme_color' => $divi_bruno_theme_color ) );

}

add_action( 'wp_enqueue_scripts', 'Bruno_elegant_enqueue_css' );
add_action('admin_enqueue_scripts', 'Bruno_enqueue_admin', 9999);

function Bruno_enqueue_admin() {
	wp_enqueue_style('Bruno_admin_css', get_stylesheet_directory_uri().'/css/admin_bruno_testimonial_slider_module.css');
	wp_enqueue_style('eticon_admin_css', get_stylesheet_directory_uri().'/css/et_icon.css');
	wp_enqueue_style('customfont_admin_css', get_stylesheet_directory_uri().'/adminstyle.css');
	if(strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') !== false) {
		wp_enqueue_script( 'Bruno-icon-ie7js', get_stylesheet_directory_uri() . '/js/lte-ie7.js','', '', true );
	}
	wp_enqueue_script( 'Bruno-admin-js', get_stylesheet_directory_uri() . '/js/bruno-admin.js', array( 'jquery' ), '', true );
	
	
}
add_action( 'wp_footer', 'Bruno_footer' );

function Bruno_footer(){

wp_enqueue_style( 'custom-bruno', get_stylesheet_directory_uri() . '/css/bruno_custom.css', array(),true);


$dh_background_color = et_get_option('divi_dh_button_contact_menu_background_color','#ef666a');
$dh_text_color = et_get_option('divi_dh_button_contact_menu_text_color','#ffffff');
$dh_border_color = et_get_option('divi_dh_button_contact_menu_border_color','#ef666a');
$dh_hover_background_color = et_get_option('divi_dh_button_contact_menu_hover_background_color','rgba(238, 71, 76, 0)');
$dh_hover_text_color = et_get_option('divi_dh_button_contact_menu_hover_text_color','#ffffff');
$dh_hover_border_color = et_get_option('divi_dh_button_contact_menu_hover_border_color','#ffffff');
$dh_border_radius = et_get_option('divi_dh_button_contact_menu_border_radius','2px');
$dh_padding = et_get_option('divi_dh_button_contact_menu_padding','0px');


$fh_background_color = et_get_option('divi_fh_button_contact_menu_background_color','#ef666a');
$fh_text_color = et_get_option('divi_fh_button_contact_menu_text_color','#ffffff');
$fh_border_color = et_get_option('divi_fh_button_contact_menu_border_color','#ef666a');
$fh_hover_background_color = et_get_option('divi_fh_button_contact_menu_hover_background_color','rgba(238, 71, 76, 0)');
$fh_hover_text_color = et_get_option('divi_fh_button_contact_menu_hover_text_color','#ffffff');
$fh_hover_border_color = et_get_option('divi_fh_button_contact_menu_hover_border_color','#ffffff');
$fh_border_radius = et_get_option('divi_fh_button_contact_menu_border_radius','2px');
$fh_padding = et_get_option('divi_fh_button_contact_menu_padding','0px');

$mobile_background_color = et_get_option('divi_mobile_button_contact_menu_background_color','#ef666a');
$mobile_text_color = et_get_option('divi_mobile_button_contact_menu_text_color','#ffffff');
$mobile_border_color = et_get_option('divi_mobile_button_contact_menu_border_color','#ef666a');
$mobile_border_radius = et_get_option('divi_mobile_button_contact_menu_border_radius','2px');
$mobile_border_width = et_get_option('divi_mobile_button_contact_menu_border_width','2px');

$divi_mobile_fixed_header_background = et_get_option('fixed_primary_nav_bg');
$divi_fixed_header_on_mobiles = et_get_option('divi_fixed_header_on_mobiles','on');

$divi_mobile_button_contact_menu_padding = et_get_option('divi_mobile_button_contact_menu_padding','8px');
$divi_fixed_header_shadow = et_get_option('divi_fixed_header_shadow','off');


$custom_bruno_css = '';

if ( $divi_fixed_header_shadow == 'on' ){
		
	$custom_bruno_css .='@media only screen and ( min-width: 981px ) { #main-header.et-fixed-header {box-shadow: 0 0 30px rgba(7, 51, 84, 0.17) !important;} }';
			
}

if ( $divi_fixed_header_on_mobiles == "on" ){
	$custom_bruno_css .='@media only screen and ( max-width: 980px ) {
			#main-header.et-fixed-header, #main-header.et-fixed-header .nav li ul, .et-search-form, #main-header.et-fixed-header .et_mobile_menu {background-color: '.$divi_mobile_fixed_header_background.';}
			#main-header.et-fixed-header {box-shadow: 0 0 30px rgba(7, 51, 84, 0.17) !important;}
	}';
}else{
$custom_bruno_css .='@media only screen and ( max-width: 980px ) {
			.et_fixed_nav #main-header {position: absolute !important;}
	}';
}

$custom_bruno_css .= 'li.sign-up {
						background-color: '.$dh_background_color.';
						border: 1px solid '.$dh_border_color.';
						border-radius : '.$dh_border_radius.';
						padding: '.$dh_padding.';
						color:'.$dh_text_color.';
					 }
					 li.sign-up:hover {
						background-color: '.$dh_hover_background_color.';
						border: 1px solid '.$dh_hover_border_color.';
						border-radius : '.$dh_border_radius.';
						padding: '.$dh_padding.';
						color:'.$dh_hover_text_color.';
					}
					.sign-up a,#top-menu .sign-up a{color:'.$dh_text_color.';}
					.sign-up a:hover,#top-menu .sign-up a:hover{color:'.$dh_hover_text_color.';}
					li.sign-up:hover a{color:'.$dh_hover_text_color.' !important;}
					
					.et-fixed-header li.sign-up {
						background-color: '.$fh_background_color.';
						border: 1px solid '.$fh_border_color.';
						border-radius : '.$fh_border_radius.';
						padding: '.$fh_padding.' ;
						color:'.$fh_text_color.' !important;
					 }
					 .et-fixed-header li.sign-up:hover {
						background-color: '.$fh_hover_background_color.';
						border: 1px solid '.$fh_hover_border_color.';
						border-radius : '.$fh_border_radius.';
						padding: '.$fh_padding.';
						color:'.$fh_hover_text_color.' !important;
					}
					
					#main-header.et-fixed-header li.sign-up a,#main-header.et-fixed-header #top-menu li.sign-up a{color:'.$fh_text_color.' !important;}
					#main-header.et-fixed-header li.sign-up a:hover,#main-header.et-fixed-header #top-menu li.sign-up a:hover{color:'.$fh_hover_text_color.' !important;}
					#main-header.et-fixed-header #top-menu li.sign-up:hover a{color:'.$fh_hover_text_color.' !important;}
					
					@media only screen and ( max-width: 980px ) {
						
						#et_mobile_nav_menu #mobile_menu li.sign-up,#et_mobile_nav_menu #mobile_menu li.sign-up:hover {
							background-color: '.$mobile_background_color.';
							border: '.$mobile_border_width.' solid '.$mobile_border_color.';
							border-radius : '.$mobile_border_radius.';
							margin-bottom: 60px;padding:0px;
						 }
						#et_mobile_nav_menu #mobile_menu .sign-up a{color:'.$mobile_text_color.';padding:'.$divi_mobile_button_contact_menu_padding.';}
						#et_mobile_nav_menu #mobile_menu .sign-up a:hover{color:'.$mobile_text_color.';padding:'.$divi_mobile_button_contact_menu_padding.';}
						.et-fixed-header #et_mobile_nav_menu #mobile_menu .sign-up a,.et-fixed-header #et_mobile_nav_menu #mobile_menu .sign-up a{color:'.$mobile_text_color.' !important;}
						.et-fixed-header #et_mobile_nav_menu #mobile_menu .sign-up a:hover,.et-fixed-header #et_mobile_nav_menu #mobile_menu .sign-up a:hover{color:'.$mobile_text_color.' !important;}
						 
					}
				  ';

wp_add_inline_style( 'custom-bruno', $custom_bruno_css );


}
/* Widget testimonial slider*/
add_action( 'load-widgets.php', 'bruno_widgetsload' );

function bruno_widgetsload() {    
	wp_enqueue_style( 'wp-color-picker' );        
	wp_enqueue_script( 'wp-color-picker' );    
}

include get_stylesheet_directory() ."/widgets/bruno-widget-testimonial-slider.php";
include get_stylesheet_directory() ."/b3_ghost.php";

add_action('widgets_init','bruno_registerwidget');
function bruno_registerwidget()
{
	register_widget('Bruno_Testimonial_Widget');
}
/* Footer Setting */
include('editor/footer-editor.php');
/* Login Setting */
include('editor/login-editor.php');
/* include custom image module file*/
add_action( 'after_setup_theme', 'Bruno_divi_theme_setup' );
function Bruno_divi_theme_setup() {
    add_image_size( 'testimonials-thumb', 100, 100, true ); // (cropped)
}
/* Testimonial slider*/
require_once( get_stylesheet_directory(). '/bruno_testimonial.php' );
include(get_stylesheet_directory() . '/bruno_testimonial_modules.php');
include(get_stylesheet_directory() . '/class-et-testimonial-archive-page.php');

/* Bruno Theme Option */
include(get_stylesheet_directory() . '/bruno_theme_option.php');

// Enqueue Reservation Popup
add_action( 'wp_enqueue_scripts', 'Bruno_signup_popup' );
function Bruno_signup_popup() {

	   $divi_trigger_caldera_popup_form = et_get_option('divi_trigger_caldera_popup_form','on'); 	
		if ( $divi_trigger_caldera_popup_form == 'on'){		
		
			$divi_trigger_select_plugin = et_get_option('divi_trigger_select_plugin','caldera'); 	
						
			$divi_top_menu_caldera_popup_form = et_get_option('divi_top_menu_caldera_popup_form','');
			$divi_top_menu_contact_form7 = et_get_option('divi_top_menu_contact_form7'); 	
			$divi_top_menu_garvity_form = et_get_option('divi_top_menu_garvity_form'); 
			
			if( $divi_trigger_select_plugin == 'caldera'){
				
				 wp_enqueue_script( 'signup_popup', get_stylesheet_directory_uri() . '/js/signup_popup.js', array( 'jquery' ), '', true );
	             wp_localize_script( 'signup_popup', 'divi_caldera_popup_form', array( 'divi_top_menu_caldera_popup_form' => $divi_top_menu_caldera_popup_form) );
			
			}
			if( $divi_trigger_select_plugin == 'contact_form7' || $divi_trigger_select_plugin == 'garvity_form'){
			
				wp_enqueue_script( 'divi_popup_js', get_stylesheet_directory_uri() . '/js/popup-modal.js', array( 'jquery' ), '', true );
				wp_enqueue_style( 'divi_popup_style', get_stylesheet_directory_uri() . '/css/popup_css.css' ); 
				
			}
		}
	
   
}

/**
 * Locals Helper Function
 * */
function theme_locals($string, $echo = true){
  if($echo)
    _e($string, 'b3_bruno');
  else
    return __($string, 'b3_bruno');
}

/* footer credits */
if ( ! function_exists( 'et_get_original_footer_credits' ) ) :
function et_get_original_footer_credits() {
	return '<p id="footer-info">
				<div id="footer-logo"><a href="https://www.b3multimedia.ie"><img src="https://bruno.b3multimedia.ie/wp-content/uploads/2016/09/bruno-white.png"></a></div>
				<div id="footer-text"><p>BRUNO Divi Child Theme. Designed by B3 Multimedia Solutions. All rights reserved.</p></div>
			</p>';
}
endif;

if ( ! function_exists( 'et_get_footer_credits' ) ) :
function et_get_footer_credits() {
	$original_footer_credits = et_get_original_footer_credits();

	$disable_custom_credits = et_get_option( 'disable_custom_footer_credits', false );

	if ( $disable_custom_credits ) {
		return '<style type="text/css">#footer-bottom{  padding-bottom: 30px;}</style>';
	}

	$credits_format = '<%2$s id="footer-info"><div id="footer-text">%1$s</div></%2$s>';
	
    $logo_url = get_option('custom_footer_logo');
	$logo_width = get_option('custom_footer_logo_width');
	$logo_height = get_option('custom_footer_logo_height');
    $logo_padding = get_option('custom_footer_logo_padding');
	
    $footer_credits_data = et_get_option( 'custom_footer_credits', '' );
	$footer_credits = trim( $footer_credits_data );
	if( !empty($logo_url)) : $custom_footer_logo = $logo_url; else: $custom_footer_logo = site_url().'/wp-content/uploads/2016/09/bruno-white-1.png'; endif; 
	if( !empty($logo_width)) : $custom_footer_logo_width = $logo_width; else: $custom_footer_logo_width = '168'; endif; 
	if( !empty($logo_height)) : $custom_footer_logo_height = $logo_url; else: $custom_footer_logo_height = '50'; endif; 
	if( !empty($logo_padding)) : $custom_footer_logo_padding = $logo_padding; else: $custom_footer_logo_padding = '0'; endif; 
	if( !empty( $footer_credits ) ) : $custom_footer_credits = $footer_credits; else: $custom_footer_credits = 'BRUNO Divi Child Theme. Designed by B3 Multimedia Solutions. All rights reserved.'; endif;


	$footer_text = '<div id="footer-info">
				<div id="footer-logo"><a href="'.site_url().'"><img src="'.$custom_footer_logo.'" width="'.$custom_footer_logo_width.'" height="'.$custom_footer_logo_height.'"></a></div>
				<div id="footer-text"><p>'.$custom_footer_credits.'</p></div>
				</div><style type="text/css"> #footer-info{ padding-bottom: '.$custom_footer_logo_padding.';} #footer-logo img{width: '.$custom_footer_logo_width.'px ;height: '.$custom_footer_logo_height.'px ;}</style>';
	return $footer_text;
	
}
endif;
/* footer credits */


/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @see http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1 for child theme Bruno
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */

/**
 * Include the TGM_Plugin_Activation class.
 *
 * Depending on your implementation, you may want to change the include call:
 *
 * Parent Theme:
 * require_once get_template_directory() . '/path/to/class-tgm-plugin-activation.php';
 *
 * Child Theme:
 * require_once get_stylesheet_directory() . '/path/to/class-tgm-plugin-activation.php';
 *
 * Plugin:
 * require_once dirname( __FILE__ ) . '/path/to/class-tgm-plugin-activation.php';
 */
require_once get_stylesheet_directory() . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'Bruno_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 *
 * In this example, we register five plugins:
 * - one included with the TGMPA library
 * - two from an external source, one from an arbitrary source, one from a GitHub repository
 * - two from the .org repo, where one demonstrates the use of the `is_callable` argument
 *
 * The variables passed to the `tgmpa()` function should be:
 * - an array of plugin arrays;
 * - optionally a configuration array.
 * If you are not changing anything in the configuration array, you can remove the array and remove the
 * variable from the function call: `tgmpa( $plugins );`.
 * In that case, the TGMPA default settings will be used.
 *
 * This function is hooked into `tgmpa_register`, which is fired on the WP `init` action on priority 10.
 */
function Bruno_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		// This is an example of how to include a plugin from the WordPress Plugin Repository.
		array(
			'name'      => 'Caldera Forms - Drag and drop responsive WordPress form builder',
			'slug'      => 'caldera-forms',
			'required'  => true,
		),
		array(
			'name'      => 'Recent Post Widget Thumbnail',
			'slug'      => 'recent-post-widget-thumbnail',
			'required'  => true,
		),
		array(
			'name'      => 'Typing Effect',
			'slug'      => 'animated-typing-effect',
			'required'  => true,
		),
		array(
			'name'      => 'One Click Demo Import',
			'slug'      => 'one-click-demo-import',
			'required'  => true,
		),
	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'Bruno',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => true,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.

	);

	tgmpa( $plugins, $config );
}
/*Import Bruno Child Theme Data and Settings*/
function ocdi_import_files() {
    return array(
        array(
            'import_file_name'           => 'Demo Import',
            'import_file_url'            => 'https://bruno.b3multimedia.ie/imports/bruno.xml',
            'import_widget_file_url'     => 'https://bruno.b3multimedia.ie/imports/bruno.wie',
            'import_customizer_file_url' => 'https://bruno.b3multimedia.ie/imports/Bruno.dat',
            'import_notice'              => __( 'After you install this demo data by clicking on the button below, you can also install the demo content for Caldera Forms (contact-form.json).', 'your-textdomain' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );
function bruno_ocdi_importer_options( $options ) {
	$options['aggressive_url_search'] = true;
	return $options;
}
add_filter( 'pt-ocdi/importer_options', 'bruno_ocdi_importer_options' );

/*Assign Menu*/
function ocdi_after_import_setup() {
	//Menus to assign after import.
	$main_menu  = get_term_by( 'name', 'Main Menu', 'nav_menu' );
	$top_menu = get_term_by( 'name' , 'Top Menu', 'nav_menu' );
	set_theme_mod( 'nav_menu_locations', array(
		'primary-menu'   	=>  $main_menu->term_id,
		'secondary-menu'	=>  $top_menu->term_id,	
		));
		
	/*Set Front Page from Reading Options*/
	$front_page = get_page_by_title( 'Homepage' );
	if(isset( $front_page ) && $front_page->ID) {
		update_option( 'show_on_front','page' );
		update_option( 'page_on_front', $front_page->ID );
	}
}
add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );

wp_delete_post(1);


// Adding Preloader options css
function bruno_custom_preloader_option_css(){ 

if( et_get_option('divi_bruno_preloader_option') != '' ){
	$divi_bruno_preloader_option = et_get_option('divi_bruno_preloader_option');
}else{
	$divi_bruno_preloader_option = 'on';
}

if( $divi_bruno_preloader_option == 'on' ){

 $divi_bruno_preloader_images = get_option('divi_bruno_preloader_images');
 $divi_bruno_preloader_custom_image = et_get_option('divi_bruno_preloader_custom_image');
 $divi_bruno_preloader_background_color = et_get_option('divi_bruno_preloader_background_color');
 $divi_bruno_preloader_effects = et_get_option('divi_bruno_preloader_effects');
 $divi_bruno_preloader_delay_time = et_get_option('divi_bruno_preloader_delay_time');
 $divi_bruno_preloader_body_delay_time = et_get_option('divi_bruno_preloader_body_delay_time');
 $divi_bruno_preloader_body_opacity = et_get_option('divi_bruno_preloader_body_opacity');
 $divi_bruno_preloader_fadeout_speed = et_get_option('divi_bruno_preloader_fadeout_speed');
 
 if ( $divi_bruno_preloader_custom_image !='' || $divi_bruno_preloader_images!= '' ){
 		
		if($divi_bruno_preloader_custom_image != '' ){
			$loader_url = $divi_bruno_preloader_custom_image;
		} else { 
			$loader_url = $divi_bruno_preloader_images;
		}
		
 }else{
 		$loader_url = get_stylesheet_directory_uri()."/assets/img/bruno-loader.gif";
 }
  $preloader_image_size = et_get_option( 'divi_bruno_preloader_image_size', '70px' );

 ?>
	
	<style type="text/css">
		.preloader{
			background-color: <?php echo $divi_bruno_preloader_background_color; ?>; /* change if the mask should have another color then white */
			opacity: <?php echo $divi_bruno_preloader_body_opacity; ?>;
		}
		.preloader .status {
			background-image:url(<?php echo $loader_url; ?>); /* path to your loading animation */
			width: <?php echo $preloader_image_size;?> !important;
			height: <?php echo $preloader_image_size;?> !important;
		}
	</style>
<?php
}
	
}
add_action('wp_head' , 'bruno_custom_preloader_option_css');


// Adding Preloader Active jQuery
function bruno_preloader_js(){ 

if( et_get_option('divi_bruno_preloader_option') != '' ){
	$divi_bruno_preloader_option = et_get_option('divi_bruno_preloader_option');
}else{
	$divi_bruno_preloader_option = 'on';
}

if( $divi_bruno_preloader_option == 'on' ){	

  $divi_bruno_preloader_images = get_option('divi_bruno_preloader_images');
 $divi_bruno_preloader_custom_image = et_get_option('divi_bruno_preloader_custom_image');
 $divi_bruno_preloader_background_color = et_get_option('divi_bruno_preloader_background_color');
 $divi_bruno_preloader_effects = et_get_option('divi_bruno_preloader_effects','fadeOut');
 $divi_bruno_preloader_delay_time = et_get_option('divi_bruno_preloader_delay_time',350);
 $divi_bruno_preloader_body_delay_time = et_get_option('divi_bruno_preloader_body_delay_time',350);
 $divi_bruno_preloader_body_opacity = et_get_option('divi_bruno_preloader_body_opacity',1);
 $divi_bruno_preloader_fadeout_speed = et_get_option('divi_bruno_preloader_fadeout_speed','fast');
?>

<script type="text/javascript">
	jQuery(window).load(function(){	
		jQuery('.status').fadeOut('<?php echo $divi_bruno_preloader_fadeout_speed; ?>'); // will first fade out the loading animation
		jQuery('.preloader').delay(<?php echo $divi_bruno_preloader_delay_time; ?>).<?php echo $divi_bruno_preloader_effects; ?>('<?php echo $divi_bruno_preloader_fadeout_speed; ?>'); // will fade out the white DIV that covers the website.
		jQuery('.home').delay(<?php echo $divi_bruno_preloader_body_delay_time; ?>).css({'overflow':'visible'});
	})
</script>

<?php
}
	
}
add_action('wp_footer' , 'bruno_preloader_js');

function et_preloader_option(){

// Store layouts views in array
$preloader_images = array(
	'preloader_images1' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader1.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader1.gif'
	),
	'preloader_images2' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader2.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader2.gif'
	),	
	'preloader_images3' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader3.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader3.gif'
	),	
	'preloader_images4' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader4.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader4.gif'
	),	
	'preloader_images5' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader5.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader5.gif'
	),	
	'preloader_images6' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader6.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader6.gif'
	),	
	'preloader_images7' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader7.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader7.gif'
	),	
	'preloader_images8' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader8.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader8.gif'
	),	
	'preloader_images9' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader9.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader9.gif'
	),	
	'preloader_images10' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader10.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader10.gif'
	),	
	'preloader_images11' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader11.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader11.gif'
	),	
	'preloader_images12' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader12.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader12.gif'
	),	
	'preloader_images13' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader13.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader13.gif'
	),	
	'preloader_images14' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader14.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader14.gif'
	),	
	'preloader_images15' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader15.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader15.gif'
	),	
	'preloader_images16' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader16.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader16.gif'
	),	
	'preloader_images17' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader17.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader17.gif'
	),	
	'preloader_images18' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader18.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader18.gif'
	),	
	'preloader_images19' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader19.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader19.gif'
	),	
	'preloader_images20' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader20.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader20.gif'
	),	
	'preloader_images21' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader21.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader21.gif'
	),	
	'preloader_images22' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader22.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader22.gif'
	),	
	'preloader_images23' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader23.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader23.gif'
	),	
	'preloader_images24' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader24.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader24.gif'
	),	
	'preloader_images25' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader25.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader25.gif'
	),	
	'preloader_images26' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader26.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader26.gif'
	),	
	'preloader_images27' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader27.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader27.gif'
	),	
	'preloader_images28' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader28.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader28.gif'
	)
	
	
);

$gt_preloader_images = get_option( 'divi_bruno_preloader_images' ) ;
?>

	<?php
	 foreach( $preloader_images as $activate ) : ?>
			<div style="margin-right:50px; display: inline-block; line-height: 70px;">
			<input type="radio"  name="divi_bruno_preloader_images" value="<?php esc_attr_e( $activate['value'] ); ?>" <?php checked( $gt_preloader_images, $activate['value'] ); ?>  class="customradio"/>
			<label for="<?php echo $activate['value']; ?>"><img src="<?php echo $activate['img']; ?>" alt="" width="70" /></label>
			</div>
	<?php endforeach;?>

<?php }

add_action( 'wp_ajax_save_epanel', 'et_epanel_save_callback_new' );
function et_epanel_save_callback_new( $source ){
	update_option('divi_bruno_preloader_images',$_POST['divi_bruno_preloader_images']);
	
	$old_value_theme_color = et_get_option('divi_bruno_theme_color','#ee474c');
	if ( $_POST['divi_bruno_theme_color'] != '' ){$divi_bruno_theme_color = $_POST['divi_bruno_theme_color'];}else{ $divi_bruno_theme_color = "#ee474c";}
	if ( $divi_bruno_theme_color != $old_value_theme_color ){
			$bruno_theme_color_rgb = burno_hex2rgba($divi_bruno_theme_color);
			$bruno_theme_color_rgba = burno_hex2rgba($divi_bruno_theme_color, 0.5);
			
			et_update_option('primary_nav_dropdown_bg', $divi_bruno_theme_color);
			et_update_option('primary_nav_dropdown_line_color', $bruno_theme_color_rgba);
			
			et_update_option('secondary_nav_bg', $divi_bruno_theme_color);
			et_update_option('secondary_nav_dropdown_bg', $divi_bruno_theme_color);
			
			et_update_option('all_buttons_bg_color_hover', $divi_bruno_theme_color);
			et_update_option('all_buttons_bg_color', $divi_bruno_theme_color);
			et_update_option('all_buttons_border_color', $divi_bruno_theme_color);
			et_update_option('all_buttons_border_color_hover', $divi_bruno_theme_color);
			
			et_update_option('fixed_primary_nav_bg', $divi_bruno_theme_color);
			et_update_option('fixed_secondary_nav_bg', $divi_bruno_theme_color);
			et_update_option('fixed_secondary_menu_link', $divi_bruno_theme_color);
			
			et_update_option('footer_widget_header_color', $divi_bruno_theme_color);
			et_update_option('footer_widget_bullet_color', $divi_bruno_theme_color);
			
			et_update_option('footer_menu_active_link_color', $divi_bruno_theme_color);
			
			et_update_option('accent_color', $divi_bruno_theme_color);
			et_update_option('link_color', $divi_bruno_theme_color);
			
			//et_update_option('divi_button_contact_menu_background_color', $divi_bruno_theme_color);
			//et_update_option('divi_button_contact_menu_border_color', $divi_bruno_theme_color);
			//et_update_option('divi_button_contact_menu_hover_text_color', $bruno_theme_color_rgba);
			
	}
}


/*
CHANGE SLUGS OF CUSTOM POST TYPES
*/
function divi_bruno_post_types_slug( $args, $post_type ) {
   $divi_testimonial_listing_page_slug = et_get_option('divi_testimonial_listing_page_slug','testimonials');
   //flush_rewrite_rules();
   /*item post type slug*/   
   if ( 'testimonials' === $post_type ) {
      $args['rewrite']['slug'] = $divi_testimonial_listing_page_slug;
   }
   return $args;
}
add_filter( 'register_post_type_args', 'divi_bruno_post_types_slug', 10, 2 );


function myfont_icons($icons) {
    //$icons[] = '&#xe000;';
   // $icons[] = '&#xe001;';
	//$icons[] = '&#xe002;';
	//$icons[] = '&#xe003;'; 
	$icons[] = '&#xe004;';
    $icons[] = '&#xe005;';
	$icons[] = '&#xe006;';
	//$icons[] = '&#xe007;';
	//$icons[] = '&#xe008;';
    $icons[] = '&#xe009;';
	$icons[] = '&#xe00a;';
	$icons[] = '&#xe00b;';
	$icons[] = '&#xe00c;';
    $icons[] = '&#xe00d;';
	$icons[] = '&#xe00e;';
	$icons[] = '&#xe00f;';
	$icons[] = '&#xe010;';
    $icons[] = '&#xe011;';
	$icons[] = '&#xe012;';
	$icons[] = '&#xe013;';
	//$icons[] = '&#xe014;';
    $icons[] = '&#xe015;';
	//$icons[] = '&#xe016;';
	$icons[] = '&#xe017;';
	$icons[] = '&#xe018;';
    $icons[] = '&#xe019;';
	$icons[] = '&#xe01a;';
	$icons[] = '&#xe01b;';
	$icons[] = '&#xe01c;';
    $icons[] = '&#xe01d;';
	//$icons[] = '&#xe01e;';
	$icons[] = '&#xe01f;';
	$icons[] = '&#xe020;';
    $icons[] = '&#xe021;';
	$icons[] = '&#xe022;';
	$icons[] = '&#xe023;'; 
	$icons[] = '&#xe024;';
	$icons[] = '&#xe025;';
    $icons[] = '&#xe026;';
	$icons[] = '&#xe027;';
	$icons[] = '&#xe028;';
	$icons[] = '&#xe029;';
    $icons[] = '&#xe02a;';
	$icons[] = '&#xe02b;';
	//$icons[] = '&#xe02c;';
	$icons[] = '&#xe02d;';
    $icons[] = '&#xe02e;';
	$icons[] = '&#xe02f;';
	$icons[] = '&#xe030;';
	$icons[] = '&#xe031;';
    $icons[] = '&#xe032;';
	$icons[] = '&#xe033;';
	$icons[] = '&#xe034;';
	$icons[] = '&#xe035;';
    $icons[] = '&#xe036;';
	$icons[] = '&#xe037;';
	$icons[] = '&#xe038;'; 
	$icons[] = '&#xe039;';
	$icons[] = '&#xe03a;';
    $icons[] = '&#xe03b;';
	$icons[] = '&#xe03c;';
	$icons[] = '&#xe03d;';
	$icons[] = '&#xe03e;';
    $icons[] = '&#xe03f;';
	$icons[] = '&#xe040;';
	$icons[] = '&#xe041;';
	$icons[] = '&#xe042;';
    $icons[] = '&#xe043;';
	$icons[] = '&#xe044;';
	//$icons[] = '&#xe045;';
	$icons[] = '&#xe046;';
   // $icons[] = '&#xe047;';
	$icons[] = '&#xe048;';
	$icons[] = '&#xe049;';
	//$icons[] = '&#xe04a;';
   // $icons[] = '&#xe04b;';
	//$icons[] = '&#xe04c;';
	//$icons[] = '&#xe04d;'; 
	$icons[] = '&#xe04e;';
	$icons[] = '&#xe04f;';
	$icons[] = '&#xe050;';
	$icons[] = '&#xe051;';
    $icons[] = '&#xe052;';
	$icons[] = '&#xe053;';
	$icons[] = '&#xe054;';
	$icons[] = '&#xe055;';
    $icons[] = '&#xe056;';
	$icons[] = '&#xe057;';
	$icons[] = '&#xe058;';
	$icons[] = '&#xe059;';
    $icons[] = '&#xe05a;';
	$icons[] = '&#xe05b;';
	$icons[] = '&#xe05c;';
	$icons[] = '&#xe05d;';
    $icons[] = '&#xe05e;';
	$icons[] = '&#xe05f;';
	$icons[] = '&#xe060;'; 
	$icons[] = '&#xe061;';
	$icons[] = '&#xe062;';
	$icons[] = '&#xe063;'; 
   
    return $icons;
}

//add_filter('et_pb_font_icon_symbols', 'myfont_icons');


/* Convert hexdec color string to rgb(a) string
$color = '#ffa226';
$rgb = hex2rgba($color);
$rgba = hex2rgba($color, 0.7);
*/
 
function burno_hex2rgba($color, $opacity = false) {
 
	$default = 'rgb(0,0,0)';
 
	//Return default if no color provided
	if(empty($color))
          return $default; 
 
	//Sanitize $color if "#" is provided 
        if ($color[0] == '#' ) {
        	$color = substr( $color, 1 );
        }
 
        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
                $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
        } elseif ( strlen( $color ) == 3 ) {
                $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
        } else {
                return $default;
        }
 
        //Convert hexadec to rgb
        $rgb =  array_map('hexdec', $hex);
 
        //Check if opacity is set(rgba or rgb)
        if($opacity){
        	if(abs($opacity) > 1)
        		$opacity = 1.0;
        	$output = 'rgba('.implode(",",$rgb).','.$opacity.')';
        } else {
        	$output = 'rgb('.implode(",",$rgb).')';
        }
 
        //Return rgb(a) color string
        return $output;
}
add_action( 'init', 'et_icon_load' );
add_filter('all_icons', 'et_lists');
function et_icon_load() {
		require get_stylesheet_directory().'/lib/et-icon-list-free.php';
		add_filter('et_pb_font_icon_symbols', 'et_icons_list_free',900 );
		// B3 Custom Line
		add_filter('et_pb_font_icon_symbols', 'et_line_icons_list_free',998 );
		require get_stylesheet_directory().'/lib/etline-icon-list-free.php';
		
}

function et_lists( $font_icon )
{
		if( et_check_isjson_free( $font_icon ) ) :
			$icon = json_decode( $font_icon, true );
			$symbol_data = explode( '|', $icon );
			$icon = $symbol_data[0] . '-' . $symbol_data[2];
		else :
			$icon = $font_icon;	
		endif;
		return $icon;
}
function et_check_isjson_free( $string )
{
   return  is_array( json_decode( $string, true ) ) && is_string( $string ) && ( json_last_error() == JSON_ERROR_NONE ) ? true : false;
}
if ( ! function_exists( 'et_pb_process_font_icon' ) ) :
function et_pb_process_font_icon( $font_icon, $symbols_function = 'default' )
{
	if ( 1 !== preg_match( "/^%%/", trim( $font_icon ) ) ) {
		return $font_icon;
	}
	$icon_index   = (int) str_replace( '%', '', $font_icon );
	$icon_symbols = 'default' === $symbols_function ? et_pb_get_font_icon_symbols() : call_user_func( $symbols_function );
	$font_icon    = isset( $icon_symbols[ $icon_index ] ) ? $icon_symbols[ $icon_index ] : '';
	
	$font_icon = apply_filters( 'all_icons', $font_icon );
	return $font_icon;
}
endif;
if ( ! function_exists( 'et_pb_get_font_icon_list_items' ) ) :
function et_pb_get_font_icon_list_items() {
	$output = '';
	$symbols = et_pb_get_font_icon_symbols();
	foreach ( $symbols as $symbol ) {
		if (strpos($symbol, 'icon_quotations_alt2') !== false) {
			$symbol_data = explode( '~|', $symbol );
		}else{
			$symbol_data = explode( '|', $symbol );
		}
		if( is_customize_preview() ) :
				if( $symbol_data[0] === 'et') :
					$output .= sprintf( '<li data-icon=\'%1$s\'></li>', esc_attr( $symbol_data[2] ) );	
				endif;
		else :
			 	 $output .= sprintf( '<li data-icon=\'%1$s\' data-iconname=\'%2$s\'  data-iconfamily=\'%3$s\' title=\'%2$s\'  class="b3-custom-icon-%3$s b3customicon"></li>', $symbol_data[2], $symbol_data[1], $symbol_data[0]);
		endif;
	}
	return $output;
}
endif;