<?php

class Bruno_Testimonial_Widget extends WP_Widget {

	/* ---------------------------------------------------------------------------
	 * Constructor
	 * --------------------------------------------------------------------------- */
	var $plugin_slug;  // identifier of this plugin for WP
	
	function __construct() {
		$this->plugin_slug	= 'bruno_testimonial_widget';
		$WidgetOption = array( 'classname' => 'bruno_testimonial_widget', 'description' => __( 'Displays latest testimonial on your site.', 'dts' ) );
		parent::__construct( 'bruno_testimonial_widget', __( 'Bruno: Testimonial Slider', 'dts' ), $WidgetOption );
		$this->alt_option_name = 'bruno_testimonial_widget';
		
	}
	
	
	/* ---------------------------------------------------------------------------
	 * Outputs the HTML for this widget.
	 * --------------------------------------------------------------------------- */
	function widget( $args, $instance ) {
		if ( ! isset( $args['widget_id'] ) ) $args['widget_id'] = null;
		extract( $args, EXTR_SKIP );
        $testi_id =  rand(10,100);
		$WidgetTitle = apply_filters('widget_title', $instance['title']);
		echo $before_widget;
		
		if( empty($WidgetTitle ) ):
			$WidgetTitle=__('Latest Testimonials', 'dts');
		endif;
		echo "<div class='widgethead-".$testi_id."'>".$before_title ."<div class='widgettitle-".$testi_id."'>". $WidgetTitle ."</div>". $after_title."</div>";		
		
		$this->LatestTestimonials( $args,$instance,$testi_id);
		        
		echo $after_widget;   
	}

	
	/* ---------------------------------------------------------------------------
	 * Deals with the settings when they are saved by the admin.
	 * --------------------------------------------------------------------------- */
	function update( $new_widget_settings, $old_widget_settings ) {
	
		//$instance = array();
			$instance = $old_widget_settings;
		    $instance['ts_style'] = isset( $new_widget_settings['ts_style'] ) ? ( $new_widget_settings['ts_style'] ) : 'ts_style_1' ;
			$instance['title'] = isset( $new_widget_settings['title']) ? esc_attr( $new_widget_settings['title'] ) : '';
			$instance['count'] = isset( $new_widget_settings['count'] ) ? absint( $new_widget_settings['count'] ) : 3 ;
			$instance['category'] = isset( $new_widget_settings['category'] ) ? ( $new_widget_settings['category'] ) : 'all' ;
			$instance['slidespeed']= isset( $new_widget_settings['slidespeed'] ) ? absint( $new_widget_settings['slidespeed'] ) : '900' ;
			$instance['autoPlay'] = isset( $new_widget_settings['autoPlay'] ) ? ( $new_widget_settings['autoPlay'] ) : 'on' ;
			$instance['textcolor'] = isset( $new_widget_settings['textcolor'] ) ? ( $new_widget_settings['textcolor'] ) : '#90979d' ;
			$instance['navigation'] = isset( $new_widget_settings['navigation'] ) ? ( $new_widget_settings['navigation'] ) : 'on' ;
			$instance['client_image'] = isset( $new_widget_settings['client_image'] ) ? ( $new_widget_settings['client_image'] ) : 'off' ;
			$instance['pagination'] = isset( $new_widget_settings['pagination'] ) ? ( $new_widget_settings['pagination'] ) : 'off' ;
			$instance['clienttextcolor']  = isset( $new_widget_settings['clienttextcolor'] ) ? ( $new_widget_settings['clienttextcolor'] ) : '#0c283d' ;
			$instance['companytextcolor'] = isset( $new_widget_settings['companytextcolor'] ) ? ( $new_widget_settings['companytextcolor'] ) : '#ee474c' ;
			$instance['dotscolor'] = isset( $new_widget_settings['dotscolor'] ) ? ( $new_widget_settings['dotscolor'] ) : '#000000' ;
			$instance['dotscolorbk'] = isset( $new_widget_settings['dotscolorbk'] ) ? ( $new_widget_settings['dotscolorbk'] ) : '#ffffff' ;
			$instance['widgetalign'] = isset( $new_widget_settings['widgetalign'] ) ? ( $new_widget_settings['widgetalign'] ) : 'left' ;
			$instance['widgetcssclass'] = isset( $new_widget_settings['widgetcssclass'] ) ? ( $new_widget_settings['widgetcssclass'] ) : 'ts_slider' ;
			$instance['b3_equalheight'] = isset( $new_widget_settings['b3_equalheight'] ) ? ( $new_widget_settings['b3_equalheight'] ) : 'off' ;
			$instance['slideduration'] = isset( $new_widget_settings['slideduration'] ) ? ( $new_widget_settings['slideduration'] ) : '5000' ;
			$instance['headingbackgroundcolor'] = isset( $new_widget_settings['headingbackgroundcolor'] ) ? ( $new_widget_settings['headingbackgroundcolor'] ) : '#ed375d' ;
			$instance['headingtextcolor'] = isset( $new_widget_settings['headingtextcolor'] ) ? ( $new_widget_settings['headingtextcolor'] ) : '5#ffffff000' ;
			
		// empty widget cache
		$this->flush_widget_cache();
		
		$alloptions = wp_cache_get( 'alloptions', 'options' );
		if ( isset( $alloptions[ $this->plugin_slug ] ) ) {
			delete_option( $this->plugin_slug );
		}
		
		return $instance;
	}
	
	function flush_widget_cache() {
		wp_cache_delete( 'ts_testimonial_widget', 'widget' );
	}
	/* ---------------------------------------------------------------------------
	 * Displays the form for this widget on the Widgets page of the WP Admin area.
	 * --------------------------------------------------------------------------- */
	
	function form( $instance ) {
		    $ts_style = isset( $instance['ts_style'] ) ? ( $instance['ts_style'] ) : 'ts_style_1' ;
			$WidgetTitle = isset( $instance['title']) ? esc_attr( $instance['title'] ) : '';
			$TestimonialCount = isset( $instance['count'] ) ? absint( $instance['count'] ) : 3 ;
			$Testimonialcategory = isset( $instance['category'] ) ? ( $instance['category'] ) : 'all' ;
			$slidespeed = isset( $instance['slidespeed'] ) ? absint( $instance['slidespeed'] ) : '900' ;
			$autoPlay = isset( $instance['autoPlay'] ) ? ( $instance['autoPlay'] ) : 'on' ;
			$textcolor = isset( $instance['textcolor'] ) ? ( $instance['textcolor'] ) : '#90979d' ;
			$navigation = isset( $instance['navigation'] ) ? ( $instance['navigation'] ) : 'on' ;
			$client_image = isset( $instance['client_image'] ) ? ( $instance['client_image'] ) : 'off' ;
			$pagination = isset( $instance['pagination'] ) ? ( $instance['pagination'] ) : 'off' ;
			$clienttextcolor = isset( $instance['clienttextcolor'] ) ? ( $instance['clienttextcolor'] ) : '#0c283d' ;
			$companytextcolor = isset( $instance['companytextcolor'] ) ? ( $instance['companytextcolor'] ) : '#ee474c' ;
			$dotscolor = isset( $instance['dotscolor'] ) ? ( $instance['dotscolor'] ) : '#000000' ;
			$dotscolorbk = isset( $instance['dotscolorbk'] ) ? ( $instance['dotscolorbk'] ) : '#ffffff' ;
			$widgetalign = isset( $instance['widgetalign'] ) ? ( $instance['widgetalign'] ) : 'left' ;
			$widgetcssclass = isset( $instance['widgetcssclass'] ) ? ( $instance['widgetcssclass'] ) : 'ts_slider' ;
			$b3_equalheight = isset( $instance['b3_equalheight'] ) ? ( $instance['b3_equalheight'] ) : 'off' ;
			$slideduration = isset( $instance['slideduration'] ) ? ( $instance['slideduration'] ) : '5000' ;
			$headingbackgroundcolor = isset( $instance['headingbackgroundcolor'] ) ? ( $instance['headingbackgroundcolor'] ) : '#ed375d' ;
			$headingtextcolor = isset( $instance['headingtextcolor'] ) ? ( $instance['headingtextcolor'] ) : '#ffffff' ;

			
		$terms = get_terms( array(
			'taxonomy' => 'b3m_testimonial_category',
			'hide_empty' => false,
		) );
		
		$terms_content = array();
		$count = count($terms);
		if ( $count > 0 ){
			foreach($terms as $testival){
				$terms_content[$testival->term_id] = $testival->name;
			}
		}
		$testiselect =  rand(50,100);
		?>
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php _e( 'Title:', 'dts' ); ?></label>
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $WidgetTitle ); ?>" />
			</p>
			
			<p>
	        	<label for="<?php echo $this->get_field_name('ts_style'); ?>"><?php _e( 'Select Style:', 'dts' ); ?></label><br />
                <select class="widefat selectstyle<?php echo $testiselect?>" id="<?php echo $this->get_field_name('ts_style'); ?>" name="<?php echo $this->get_field_name('ts_style'); ?>">
					
					<option <?php selected( $instance['ts_style'], 'ts_style_1'); ?> value="ts_style_1" selected="selected"><?php _e ( 'Style 1', 'dts' ); ?></option>
					<option <?php selected( $instance['ts_style'], 'ts_style_2'); ?> value="ts_style_2" ><?php _e ( 'Style 2', 'dts' ); ?></option>
					<option <?php selected( $instance['ts_style'], 'ts_style_custom'); ?> value="ts_style_custom" ><?php _e ( 'Custom Style', 'dts' ); ?></option>
					
                </select>
	        </p>
			
			
			 <p>
	        	<label for="<?php echo $this->get_field_name('category'); ?>"><?php _e( 'Select Testimonial Category:', 'dts' ); ?></label><br />
                <select class="widefat" id="<?php echo $this->get_field_name('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>">
					
					<option <?php selected( $instance['category'], 'all'); ?> value="all" selected="selected"><?php _e ( 'All', 'dts' ); ?></option>
					<?php foreach($terms_content as $k=>$v){?>
						<option <?php selected( $instance['category'], $k); ?> value="<?php echo $k; ?>" ><?php _e ( $v, 'dts' ); ?></option>
					<?php }?>
                </select>
	        </p>
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'count' ) ); ?>"><?php _e( 'Number of Testimonials:', 'dts' ); ?></label>
				<input id="<?php echo esc_attr( $this->get_field_id( 'count' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $TestimonialCount ); ?>" size="3"/>
			</p>
			<?php	echo '<p><em>' . __( 'Default is 3 Testimonials', 'dts' ) . '</em></p>';?>
			
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'slidespeed' ) ); ?>"><?php _e( 'slideSpeed:', 'dts' ); ?></label>
				<input id="<?php echo esc_attr( $this->get_field_id( 'slidespeed' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'slidespeed' ) ); ?>" type="text" value="<?php echo esc_attr( $slidespeed ); ?>" size="3" maxlength="4"/>
			</p>
			
			<p>
	        	<label for="<?php echo $this->get_field_name('autoPlay'); ?>"><?php _e( 'Display autoPlay:', 'dts' ); ?></label><br />
                <select class="widefat autoPlay_p<?php echo $testiselect;?>" id="<?php echo $this->get_field_name('autoPlay'); ?>" name="<?php echo $this->get_field_name('autoPlay'); ?>">
					
					<option <?php selected( $instance['autoPlay'], 'on'); ?> value="on" selected="selected"><?php _e ( 'Yes', 'dts' ); ?></option>
					<option <?php selected( $instance['autoPlay'], 'off'); ?> value="off" ><?php _e ( 'No', 'dts' ); ?></option>

					
                </select>
	        </p>
			
			<p class="slideduration_p<?php echo $testiselect;?>"  <?php if( $instance['autoPlay'] == "on" ){?>style="display:block;"<?php }else{?>style="display:none;"<?php }?>>
				<label for="<?php echo esc_attr( $this->get_field_id( 'slideduration' ) ); ?>"><?php _e( 'Slide Duration:', 'dts' ); ?></label>
				<input id="<?php echo esc_attr( $this->get_field_id( 'slideduration' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'slideduration' ) ); ?>" type="text" value="<?php echo esc_attr( $slideduration ); ?>" size="3" maxlength="5"/>
			</p>
			
			<p>
	        	<label for="<?php echo $this->get_field_name('b3_equalheight'); ?>"><?php _e( 'autoHeight:', 'dts' ); ?></label><br />
                <select class="widefat" id="<?php echo $this->get_field_name('b3_equalheight'); ?>" name="<?php echo $this->get_field_name('b3_equalheight'); ?>">
					
					<option <?php selected( $instance['b3_equalheight'], 'off'); ?> value="off"><?php _e ( 'No', 'dts' ); ?></option>
					<option <?php selected( $instance['b3_equalheight'], 'on'); ?> value="on" ><?php _e ( 'Yes', 'dts' ); ?></option>
					
                </select>
	        </p>
			
			<p> <strong>For Custom Colors</strong></p>
			
			
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'headingtextcolor' ) ); ?>"><?php _e( 'Heading Text Color:', 'dts' ); ?></label><br/>
				<input id="<?php echo esc_attr( $this->get_field_id( 'headingtextcolor' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'headingtextcolor' ) ); ?>" type="text" value="<?php echo esc_attr( $headingtextcolor ); ?>"  class="ts-color-picker textcolor<?php echo $testiselect;?>"/>
			</p>
			
			
			
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'headingbackgroundcolor' ) ); ?>"><?php _e( 'Heading Background Color:', 'dts' ); ?></label><br/>
				<input id="<?php echo esc_attr( $this->get_field_id( 'headingbackgroundcolor' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'headingbackgroundcolor' ) ); ?>" type="text" value="<?php echo esc_attr( $headingbackgroundcolor ); ?>"  class="ts-color-picker textcolor<?php echo $testiselect;?>"/>
			</p>
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'textcolor' ) ); ?>"><?php _e( 'Text Color:', 'dts' ); ?></label><br/>
				<input id="<?php echo esc_attr( $this->get_field_id( 'textcolor' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'textcolor' ) ); ?>" type="text" value="<?php echo esc_attr( $textcolor ); ?>"  class="ts-color-picker textcolor<?php echo $testiselect;?>"/>
			</p>
			
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'clienttextcolor' ) ); ?>"><?php _e( 'Client Name Text Color:', 'dts' ); ?></label><br/>
				<input id="<?php echo esc_attr( $this->get_field_id( 'clienttextcolor' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'clienttextcolor' ) ); ?>" type="text" value="<?php echo esc_attr( $clienttextcolor ); ?>"  class="ts-color-picker clienttextcolor<?php echo $testiselect;?>"/>
			</p>
			
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'companytextcolor' ) ); ?>"><?php _e( 'Company Name Text Color:', 'dts' ); ?></label><br/>
				<input id="<?php echo esc_attr( $this->get_field_id( 'companytextcolor' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'companytextcolor' ) ); ?>" type="text" value="<?php echo esc_attr( $companytextcolor ); ?>"  class="ts-color-picker companytextcolor<?php echo $testiselect;?>"/>
			</p>
			
			
			
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'dotscolor' ) ); ?>"><?php _e( 'Pagination(dots) Active/Navigation(arrows) Hover Color:', 'dts' ); ?></label><br/>
				<input id="<?php echo esc_attr( $this->get_field_id( 'dotscolor' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'dotscolor' ) ); ?>" type="text" value="<?php echo esc_attr( $dotscolor ); ?>"  class="ts-color-picker dotscolor<?php echo $testiselect;?>"/>
			</p>
			
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'dotscolorbk' ) ); ?>"><?php _e( 'Pagination(dots)/Navigation(arrows) Color:', 'dts' ); ?></label><br/>
				<input id="<?php echo esc_attr( $this->get_field_id( 'dotscolorbk' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'dotscolorbk' ) ); ?>" type="text" value="<?php echo esc_attr( $dotscolorbk ); ?>"  class="ts-color-picker dotscolorbk<?php echo $testiselect;?>"/>
			</p>
			
			
			<script type='text/javascript'>
				(function($){
	
	var parent = $('body');
	if ($('body').hasClass('widgets-php')){
		parent = $('.widget-liquid-right');
	}
	jQuery(document).ready(function($) {
		parent.find('.ts-color-picker').wpColorPicker();
	});
	
	jQuery(document).on('widget-added', function(e, widget){
		widget.find('.ts-color-picker').wpColorPicker();
	});
	
	jQuery(document).on('widget-updated', function(e, widget){
		widget.find('.ts-color-picker').wpColorPicker();
	});
	
	jQuery('#widgets-right').on('click','.icon_buttons input',function(){
     openPanel(jQuery(this),jQuery(this).index());
});

})(jQuery);

jQuery( ".autoPlay_p<?php echo $testiselect?>" ).change(function() {
	 if( jQuery( this ).val() == 'off'){
	 	jQuery('.slideduration_p<?php echo $testiselect;?>').css('display','none');
	 }else{
	 	jQuery('.slideduration_p<?php echo $testiselect;?>').css('display','block');
	 }
});

jQuery( ".selectstyle<?php echo $testiselect?>" ).change(function() {

	  if( jQuery( this ).val() == 'ts_style_custom'){
	  		jQuery('.customstyle<?php echo $testiselect;?>').css('display','block');
			
			jQuery(".widgetalign<?php echo $testiselect;?> option[value='center']").attr('selected','selected');
			jQuery(".navigation<?php echo $testiselect;?> option[value='on']").attr('selected','selected');
			jQuery(".pagination<?php echo $testiselect;?> option[value='on']").attr('selected','selected');
			jQuery(".clientimage<?php echo $testiselect;?> option[value='on']").attr('selected','selected');
			
			jQuery(".textcolor<?php echo $testiselect;?>").val('#90979d');
			jQuery(".clienttextcolor<?php echo $testiselect;?>").val('#0c283d');
			jQuery(".companytextcolor<?php echo $testiselect;?>").val('#ee474c');
			jQuery(".dotscolor<?php echo $testiselect;?>").val('#52b3d9');
			jQuery(".dotscolorbk<?php echo $testiselect;?>").val('#cccccc');
			
	  }else{
	  		jQuery('.customstyle<?php echo $testiselect;?>').css('display','none');
	  }
	  
	   if( jQuery(this).val() == 'ts_style_2'){
	   
	   		jQuery(".widgetalign<?php echo $testiselect;?> option[value='center']").attr('selected','selected');
			jQuery(".navigation<?php echo $testiselect;?> option[value='on']").attr('selected','selected');
			jQuery(".pagination<?php echo $testiselect;?> option[value='off']").attr('selected','selected');
			jQuery(".clientimage<?php echo $testiselect;?> option[value='on']").attr('selected','selected');
			
			jQuery(".textcolor<?php echo $testiselect;?>").val('#90979d');
			jQuery(".clienttextcolor<?php echo $testiselect;?>").val('#0c283d');
			jQuery(".companytextcolor<?php echo $testiselect;?>").val('#ee474c');
			jQuery(".dotscolor<?php echo $testiselect;?>").val('#ed375d');
			jQuery(".dotscolorbk<?php echo $testiselect;?>").val('#000000');
	   }
	   
	     if( jQuery(this).val() == 'ts_style_1'){
	   		jQuery(".widgetalign<?php echo $testiselect;?> option[value='left']").attr('selected','selected');
			jQuery(".navigation<?php echo $testiselect;?> option[value='on']").attr('selected','selected');
			jQuery(".pagination<?php echo $testiselect;?> option[value='off']").attr('selected','selected');
			jQuery(".clientimage<?php echo $testiselect;?> option[value='off']").attr('selected','selected');
			
			jQuery(".textcolor<?php echo $testiselect;?>").val('#90979d');
			jQuery(".clienttextcolor<?php echo $testiselect;?>").val('#0c283d');
			jQuery(".companytextcolor<?php echo $testiselect;?>").val('#ee474c');
			jQuery(".dotscolor<?php echo $testiselect;?>").val('#000000');
			jQuery(".dotscolorbk<?php echo $testiselect;?>").val('#ffffff');
	   }
	   
	   
});

			</script>
			<div class="customstyle<?php echo $testiselect?>" <?php if( $ts_style == "ts_style_custom" ){?>style="display:block;"<?php }else{?>style="display:none;"<?php }?>>
			<p> <strong>For Custom style option only</strong></p>
			
				<p>
	        	<label for="<?php echo $this->get_field_name('navigation'); ?>"><?php _e( 'Display Arrows ON/OFF:', 'dts' ); ?></label><br />
                <select class="widefat navigation<?php echo $testiselect?>" id="<?php echo $this->get_field_name('navigation'); ?>" name="<?php echo $this->get_field_name('navigation'); ?>">
					
					<option <?php selected( $navigation, 'on'); ?> value="on" ><?php _e ( 'Yes', 'dts' ); ?></option>
					<option <?php selected( $navigation, 'off'); ?> value="off" ><?php _e ( 'No', 'dts' ); ?></option>

					
                </select>
	        </p>
			
			<p>
	        	<label for="<?php echo $this->get_field_name('pagination'); ?>"><?php _e( 'Display Dot Navigation ON/OFF:', 'dts' ); ?></label><br />
                <select class="widefat pagination<?php echo $testiselect?>" id="<?php echo $this->get_field_name('pagination'); ?>" name="<?php echo $this->get_field_name('pagination'); ?>">
					
					<option <?php selected( $pagination, 'on'); ?> value="on" ><?php _e ( 'Yes', 'dts' ); ?></option>
					<option <?php selected( $pagination, 'off'); ?> value="off" ><?php _e ( 'No', 'dts' ); ?></option>

					
                </select>
	        </p>
			
			<p>
	        	<label for="<?php echo $this->get_field_name('client_image'); ?>"><?php _e( 'Display Image ON/OFF :', 'dts' ); ?></label><br />
                <select class="widefat clientimage<?php echo $testiselect?>" id="<?php echo $this->get_field_name('client_image'); ?>" name="<?php echo $this->get_field_name('client_image'); ?>">
					
					<option <?php selected( $client_image, 'on'); ?> value="on" ><?php _e ( 'Yes', 'dts' ); ?></option>
					<option <?php selected( $client_image, 'off'); ?> value="off" ><?php _e ( 'No', 'dts' ); ?></option>

				
                </select>
	        </p>
			
			
			<p>
	        	<label for="<?php echo $this->get_field_name('widgetalign'); ?>"><?php _e( 'Widget Alignment (Left/Center/Right):', 'dts' ); ?></label><br />
                <select class="widefat widgetalign<?php echo $testiselect?>" id="<?php echo $this->get_field_name('widgetalign'); ?>" name="<?php echo $this->get_field_name('widgetalign'); ?>">
					<option <?php selected( $widgetalign, 'center'); ?> value="center" selected="selected" ><?php _e ( 'Center', 'dts' ); ?></option>
					<option <?php selected( $widgetalign, 'left'); ?> value="left" ><?php _e ( 'Left', 'dts' ); ?></option>
					<option <?php selected( $widgetalign, 'right'); ?> value="right" ><?php _e ( 'Right', 'dts' ); ?></option>
					
                </select>
	        </p>
	        
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'widgetcssclass' ) ); ?>"><?php _e( 'Custom CSS Class:', 'dts' ); ?></label><br/>
				<input id="<?php echo esc_attr( $this->get_field_id( 'widgetcssclass' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'widgetcssclass' ) ); ?>" type="text" value="<?php echo esc_attr( $widgetcssclass ); ?>" />
			</p>
			<?php	echo '<p><em>' . __( 'CSS Class Example "myclass" ', 'dts' ) . '</em></p>';?>
			</div>
	        	<?php	
	
			
	}
	
	
	
	/* ---------------------------------------------------------------------------
	 * Function to fetch most latest articles
	 * --------------------------------------------------------------------------- */
	
	function LatestTestimonials($args,$instance,$testi_id) {
		   global $wp_query,$post;
		    $ts_style = isset( $instance['ts_style'] ) ? ( $instance['ts_style'] ) : 'ts_style_1' ;
		    $include_testi_categories = $instance['category'] ? intval($instance['category']) : 'all';
			$widgetalign = isset( $instance['widgetalign'] ) ? ( $instance['widgetalign'] ) : 'center' ;
			$widgetcssclass = isset( $instance['widgetcssclass'] ) ? ( $instance['widgetcssclass'] ) : 'ts_slider' ;
			$client_image = isset( $instance['client_image'] ) ? ( $instance['client_image'] ) : 'on' ;
			$b3_equalheight = $instance['b3_equalheight'] ;
			
			$class_testi = '';
			if( $ts_style == 'ts_style_1' ){
					$class_testi = 'ts_slider_1';
			}else if( $ts_style == 'ts_style_2' ){
					$class_testi = 'ts_slider_2';
			}else{
				  	$class_testi = 'ts_slider_custom_style';	
			}
			
			if ( $b3_equalheight == 'on' ){
				//$b3_equalheight_class = 'b3testimonialEqual';
				$b3_equalheight_val = 'true';
				
			}else{
				//$b3_equalheight_class = '';
				$b3_equalheight_val = 'false';
			}
			$TestimonialsArgs = array( 
				'post_type' => 'testimonials',
				'post_status' => 'publish',
				'posts_per_page'=> $instance['count'] ? intval($instance['count']) : 3,
				'order' => 'DESC',
				'orderby' => 'date'
		    );
			if( $include_testi_categories !='all') {
				$TestimonialsArgs['tax_query'] =   array(
					array(
						'taxonomy' => 'b3m_testimonial_category',
						'field'    => 'term_id',
						'terms'    => $include_testi_categories,
					)
                  );	
			}
		   
		    $outline = '';
		    $LatestTestimonialsData = new WP_Query( $TestimonialsArgs );
		    
			$outline .= '<div id="ts-testimonial-slider-'.$testi_id.'" class="ts-testimonial-section '.$widgetcssclass.' '.$class_testi.'">';
			
			if ( $LatestTestimonialsData->have_posts() ) {
				while ( $LatestTestimonialsData->have_posts() ) : $LatestTestimonialsData->the_post();
		
					   $testimonial_company_name = esc_html( get_post_meta( get_the_ID(), 'testimonial_company_name', true ) );
					   
						$outline .= '<div class="ts-testimonial-divi ts-text-center">';
						
						if( $ts_style == 'ts_style_2' ){
						
							if ( has_post_thumbnail( $LatestTestimonialsData->post->ID )) {
								$outline .= '<div class="ts-client-image">';
								$outline .= get_the_post_thumbnail( $LatestTestimonialsData->post->ID, 'thumbnail', array( 'class' => "ts-client-img" ) );
								$outline .= '</div>';
							} 
						
						}
						
						$outline .= '<div class="ts-client-testimonial ">'; //'.$b3_equalheight_class.'
						$outline .= get_the_content();
						$outline .= '</div>';
						
						$outline .= '<div class="ts_auth_box"><h3 class="ts-client-name">';
						$outline .= get_the_title();
						$outline .= '</h3>';
						
						$link = get_post_meta( get_the_ID(),'testimonial_company_url', true );
						if( $link != ''){
							$cp_name = '<a href="'.$link.'" target="_blank">'.get_post_meta( get_the_ID(),'testimonial_company_name', true ).'</a>';
						}else{
							$cp_name = get_post_meta( get_the_ID(),'testimonial_company_name', true );
						}
						
						if($testimonial_company_name){
							$outline .= '<h4 class="ts-client-company">';
							$outline .= $cp_name;
							$outline .= '</h4>';
						}
						$outline .= '</div>';
						if ( has_post_thumbnail( get_the_ID() ) && $ts_style != 'ts_style_2' && $client_image == 'on' ) {
							$outline .= '<div class="ts-client-image">';
							$outline .= get_the_post_thumbnail( get_the_ID(), 'thumbnail', array( 'class' => "ts-client-img" ) );
							$outline .= '</div>';
						}           
		
						$outline .= '</div>'; //testimonial free
		
		
				endwhile;
				wp_reset_postdata();
				//wp_reset_query();
			} else {
				$outline .= '<h2 class="ts-not-found-any-testimonial">' . __( 'No Testimonials Found', 'dts' ) . '</h2>';
			}
			$outline .= '</div>';
			
			$slidespeed = isset( $instance['slidespeed'] ) ? absint( $instance['slidespeed'] ) : '900' ;
			$autoPlay =  $instance['autoPlay']== 'on' ? 'true' : 'false' ;
			$navigation =  $instance['navigation'] == 'on' ? 'true' : 'false' ;
			$pagination =  $instance['pagination'] == 'on' ? 'true' : 'false' ;
		    $textcolor = isset( $instance['textcolor'] ) ? ( $instance['textcolor'] ) : '#90979d' ;
		    $clienttextcolor = isset( $instance['clienttextcolor'] ) ? ( $instance['clienttextcolor'] ) : '#0C283D' ;
		    $companytextcolor = isset( $instance['companytextcolor'] ) ? ( $instance['companytextcolor'] ) : '#ee474c' ;
			$dotscolor = isset( $instance['dotscolor'] ) ? ( $instance['dotscolor'] ) : '#52b3d9' ;
		    $dotscolorbk = isset( $instance['dotscolorbk'] ) ? ( $instance['dotscolorbk'] ) : '#cccccc' ;
			$slideduration = $instance['slideduration'] ;
			$headingtextcolor = isset( $instance['headingtextcolor'] ) ? ( $instance['headingtextcolor'] ) : '#ffffff' ;
			$headingbackgroundcolor = isset( $instance['headingbackgroundcolor'] ) ? ( $instance['headingbackgroundcolor'] ) : '#ed375d' ;
			if ( $instance['autoPlay']== 'on' ) {
			
				if( $slideduration != '' ){
					$autoPlay =  $slideduration ;
				}else{
					$autoPlay = '5000' ;
				}
				
			}else{
				$autoPlay = 'false' ;
			}
			
		    $outline .= '<style type="text/css">
				#ts-testimonial-slider-'.$testi_id.' .ts-client-testimonial{color: '. $textcolor .';}
				#ts-testimonial-slider-'.$testi_id.' .ts-testimonial-divi .ts-client-name{color: '. $clienttextcolor .';}
				#ts-testimonial-slider-'.$testi_id.' .ts-testimonial-divi .ts-client-company a,#ts-testimonial-slider-'.$testi_id.' .ts-testimonial-divi .ts-client-company{color: '. $companytextcolor .';}
				#ts-testimonial-slider-'.$testi_id.'.ts-testimonial-section .owl-controls .owl-pagination .owl-page.active{background-color: '. $dotscolor .';}
				#ts-testimonial-slider-'.$testi_id.'.ts-testimonial-section .owl-controls .owl-pagination .owl-page{background-color: '. $dotscolorbk .';}
				#ts-testimonial-slider-'.$testi_id.' .owl-next,#ts-testimonial-slider-'.$testi_id.' .owl-prev{color: '. $dotscolorbk .';}
				#ts-testimonial-slider-'.$testi_id.' .owl-next .fa.fa-angle-right:hover,#ts-testimonial-slider-'.$testi_id.' .owl-prev .fa.fa-angle-left:hover{color: '. $dotscolor .';}
				#ts-testimonial-slider-'.$testi_id.' .ts-text-center,#ts-testimonial-slider-'.$testi_id.' .ts_auth_box,#ts-testimonial-slider-'.$testi_id.'.ts-testimonial-section .owl-controls .owl-pagination { text-align: '. $widgetalign .';}
				#ts-testimonial-slider-'.$testi_id.' .ts-client-image { display: inline-block; text-align: '. $widgetalign .';}
				.widgethead-'.$testi_id.' .widgettitle{background-color: '. $headingbackgroundcolor .';border-radius: 100px;}
				.widgethead-'.$testi_id.' .widgettitle .widgettitle-'.$testi_id.'{color: '. $headingtextcolor .';}
				</style>';
			
			
				
			$outline .= '<script type="text/javascript">
					jQuery(document).ready(function() {
						jQuery("#ts-testimonial-slider-'.$testi_id.'").owlCarousel({
							
							singleItem : true,
							navigation: '.$navigation.',
							navigationText: ["<i class=\'fa fa-angle-left\'></i>","<i class=\'fa fa-angle-right\'></i>"],
							pagination: '.$pagination.',
							autoHeight: '.$b3_equalheight_val.',
							autoPlay: '.$autoPlay.',
							slideSpeed: '.$slidespeed.',
							paginationSpeed  : '.$slidespeed.',
							stopOnHover: false,
						});
				
					});
					
					</script>';
				
			 
		echo $outline;
		  
   }
	
}


?>